2004-10-02  Simon Josefsson <simon@josefsson.org>

	* po/da.po, po/de.po, po/eo.po, po/fr.po, po/nl.po, po/pl.po,
	po/ro.po, po/sr.po, po/sv.po: Generated.

2004-10-02  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 0.5.6.

2004-10-02  Simon Josefsson <simon@josefsson.org>

	* examples/example.c, examples/example3.c, examples/example4.c,
	examples/example5.c: Use *strerror.

2004-10-02  Simon Josefsson <simon@josefsson.org>

	* Makefile.am, examples/Makefile.am: Fix indent.

2004-10-02  Simon Josefsson <simon@josefsson.org>

	* NEWS, libidn.fms: Fix.

2004-10-02  Simon Josefsson <simon@josefsson.org>

	* NEWS: Reorder.

2004-10-02  Simon Josefsson <simon@josefsson.org>

	* NEWS: Fix.

2004-10-02  Simon Josefsson <simon@josefsson.org>

	* lib/Makefile.am: Don't link with gnulib.

2004-10-02  Simon Josefsson <simon@josefsson.org>

	* lib/toutf8.c: Revert, don't use strdup.

2004-10-02  Simon Josefsson <simon@josefsson.org>

	* lib/strerror-idna.c: Simplify translation strings.

2004-10-02  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2004-10-02  Simon Josefsson <simon@josefsson.org>

	* NEWS: Fix.

2004-10-02  Simon Josefsson <simon@josefsson.org>

	* src/idn.c: Typo.

2004-10-02  Simon Josefsson <simon@josefsson.org>

	* lib/idna.h, lib/pr29.c, lib/pr29.h, lib/profiles.c, lib/toutf8.c,
	src/idn.c, tests/tst_pr29.c, tests/tst_stringprep.c: Indent.

2004-10-02  Simon Josefsson <simon@josefsson.org>

	* src/idn.c: Use error.

2004-10-02  Simon Josefsson <simon@josefsson.org>

	* configure.ac, gl/Makefile.am, gl/error.c, gl/error.h,
	gl/m4/error.m4, gl/m4/gnulib.m4, gl/m4/strerror_r.m4: Add error
	from gnulib (slightly modified to avoid unlocked-io.h).

2004-10-02  Simon Josefsson <simon@josefsson.org>

	* tests/Makefile.am, tests/tst_strerror.c: Add.

2004-10-02  Simon Josefsson <simon@josefsson.org>

	* lib/Makefile.am:
	(DEFS): Add LOCALEDIR.

2004-10-02  Simon Josefsson <simon@josefsson.org>

	* lib/strerror-idna.c, lib/strerror-pr29.c,
	lib/strerror-punycode.c, lib/strerror-stringprep.c,
	lib/strerror-tld.c: Setup gettext properly.

2004-10-02  Simon Josefsson <simon@josefsson.org>

	* po/POTFILES.in: Add.

2004-10-02  Simon Josefsson <simon@josefsson.org>

	* src/Makefile.am: Fix.

2004-10-02  Simon Josefsson <simon@josefsson.org>

	* NEWS, doc/Makefile.am, doc/libidn.texi, lib/Makefile.am,
	lib/idna.h, lib/pr29.h, lib/punycode.h, lib/strerror-idna.c,
	lib/strerror-pr29.c, lib/strerror-punycode.c,
	lib/strerror-stringprep.c, lib/strerror-tld.c, lib/stringprep.h.in,
	lib/tld.c, lib/tld.h, src/idn.c: Add idna_strerror, pr29_strerror,
	punycode_strerror, stringprep_strerror, and tld_strerror, suggested
	by Daniel Stenberg <daniel@haxx.se>.  Make idn.c use them.  Rename
	TLD_NOTLD to TLD_NO_TLD.

2004-09-29  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am, gl/dummy.c, gl/m4/gnulib.m4: Update.

2004-09-29  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am, gl/m4/gnulib.m4: Update.

2004-09-29  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am, gl/dummy.c, gl/getopt.c, gl/getopt1.c,
	gl/getopt_.h, gl/getopt_int.h, gl/gettext.h, gl/strdup.c,
	gl/strdup.h, gl/m4/codeset.m4, gl/m4/gettext.m4, gl/m4/glibc21.m4,
	gl/m4/gnulib.m4, gl/m4/iconv.m4, gl/m4/intdiv0.m4, gl/m4/intmax.m4,
	gl/m4/inttypes-pri.m4, gl/m4/inttypes.m4, gl/m4/inttypes_h.m4,
	gl/m4/isc-posix.m4, gl/m4/lcmessage.m4, gl/m4/lib-ld.m4,
	gl/m4/lib-link.m4, gl/m4/lib-prefix.m4, gl/m4/longdouble.m4,
	gl/m4/longlong.m4, gl/m4/nls.m4, gl/m4/po.m4,
	gl/m4/printf-posix.m4, gl/m4/progtest.m4, gl/m4/signed.m4,
	gl/m4/size_max.m4, gl/m4/stdint_h.m4, gl/m4/strdup.m4,
	gl/m4/uintmax_t.m4, gl/m4/ulonglong.m4, gl/m4/wchar_t.m4,
	gl/m4/wint_t.m4, gl/m4/xsize.m4, src/gettext.h: Use new GNULib.

2004-09-29  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Specify gl_LGPL for new gnulib-tool.

2004-09-26  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Bump versions.

2004-09-26  Simon Josefsson <simon@josefsson.org>

	* Makefile.am, NEWS, configure.ac, gl/Makefile.am, gl/dummy.c,
	gl/getopt.c, gl/getopt1.c, gl/getopt_.h, gl/getopt_int.h,
	gl/strdup.c, gl/strdup.h, gl/m4/getopt.m4, gl/m4/gnulib.m4,
	gl/m4/onceonly_2_57.m4, gl/m4/strdup.m4, lib/Makefile.am,
	lib/toutf8.c, src/Makefile.am, src/getopt.c, src/getopt1.c,
	src/getopt_.h, src/getopt_int.h, tests/Makefile.am: Use Lesser
	GNULib.

2004-09-13  Simon Josefsson <simon@josefsson.org>

	* libidn.fms: Add.

2004-09-13  Simon Josefsson <simon@josefsson.org>

	* doc/reference/Makefile.am: Clean more.

2004-09-13  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 0.5.5.

2004-09-13  Simon Josefsson <simon@josefsson.org>

	* po/da.po, po/de.po, po/eo.po, po/fr.po, po/nl.po, po/pl.po,
	po/ro.po, po/sr.po, po/sv.po: Generated.

2004-09-13  Simon Josefsson <simon@josefsson.org>

	* Makefile.am:
	(POURL): Fix.

2004-09-13  Simon Josefsson <simon@josefsson.org>

	* po/da.po, po/de.po, po/eo.po, po/fr.po, po/nl.po, po/pl.po,
	po/ro.po, po/sr.po, po/sv.po: Sync with TP.

2004-09-13  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2004-09-05  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2004-09-05  Simon Josefsson <simon@josefsson.org>

	* lib/nfkc.c:
	(g_utf8_skip): Hide variable, using "static".

2004-09-02  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Move.  Fix ack.

2004-08-23  Simon Josefsson <simon@josefsson.org>

	* m4/autobuild.m4: Update.

2004-08-18  Simon Josefsson <simon@josefsson.org>

	* README: Fix.

2004-08-18  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Fix.

2004-08-17  Simon Josefsson <simon@josefsson.org>

	* README: Add.

2004-08-17  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac: Bump version.

2004-08-10  Simon Josefsson <simon@josefsson.org>

	* src/idn.c: Shut up 'uno' by fixing array boundary.

2004-08-08  Simon Josefsson <simon@josefsson.org>

	* libidn.fms: Fix.

2004-08-08  Simon Josefsson <simon@josefsson.org>

	* libidn.fms: Add.

2004-08-08  Simon Josefsson <simon@josefsson.org>

	* po/da.po, po/de.po, po/eo.po, po/fr.po, po/nl.po, po/pl.po,
	po/ro.po, po/sr.po, po/sv.po: Generated.

2004-08-08  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 0.5.4.

2004-08-06  Simon Josefsson <simon@josefsson.org>

	* po/LINGUAS: Sync with TP.

2004-08-06  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Fix.

2004-08-06  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Fix.

2004-08-06  Simon Josefsson <simon@josefsson.org>

	* Makefile.am:
	(update-po): Add.

2004-08-06  Simon Josefsson <simon@josefsson.org>

	* po/da.po, po/de.po, po/fr.po, po/nl.po, po/pl.po, po/ro.po,
	po/sr.po: Sync with TP.

2004-08-06  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Bump version.

2004-08-06  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2004-08-06  Simon Josefsson <simon@josefsson.org>

	* po/da.po, po/de.po, po/eo.po, po/fr.po, po/nl.po, po/pl.po,
	po/ro.po, po/sr.po: Update.

2004-08-05  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 0.5.3.

2004-08-05  Simon Josefsson <simon@josefsson.org>

	* po/da.po, po/de.po, po/eo.po, po/fr.po, po/nl.po, po/pl.po,
	po/ro.po, po/sr.po, po/sv.po: Generated.

2004-08-05  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2004-08-05  Simon Josefsson <simon@josefsson.org>

	* THANKS: Add.

2004-08-05  Simon Josefsson <simon@josefsson.org>

	* src/idn.c: Fix crash, tiny patch by Andreas Schwab reported by
	Stephan Kulow <coolo@suse.de>.

2004-08-01  Simon Josefsson <simon@josefsson.org>

	* lib/pr29.c: Use PR29_* error mnemonics, instead of hard coded
	integers.

2004-08-01  Simon Josefsson <simon@josefsson.org>

	* lib/pr29.c: Cosmetic fix.

2004-07-14  Simon Josefsson <simon@josefsson.org>

	* doc/gendocs.sh, doc/gendocs_template: Update.

2004-07-14  Simon Josefsson <simon@josefsson.org>

	* NEWS: Bump version.

2004-07-14  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Bump versions.

2004-07-14  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2004-07-14  Simon Josefsson <simon@josefsson.org>

	* po/da.po, po/de.po, po/eo.po, po/fr.po, po/nl.po, po/pl.po,
	po/ro.po, po/sr.po, po/sv.po: Generated.

2004-07-14  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 0.5.2.

2004-07-14  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2004-07-14  Simon Josefsson <simon@josefsson.org>

	* NEWS: Fix.

2004-07-14  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Bump version.

2004-07-14  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2004-07-14  Simon Josefsson <simon@josefsson.org>

	* THANKS: Add.

2004-07-14  Simon Josefsson <simon@josefsson.org>

	* java/Makefile.am:
	(install-jar): Make DESTDIR compatible, patch from Oliver Hitz
	<oliver@net-track.ch> based on report by Benjamin Reed
	<ranger@befunk.com>.

2004-07-13  Simon Josefsson <simon@josefsson.org>

	* libc/example.c: Doc fix.

2004-07-13  Simon Josefsson <simon@josefsson.org>

	* libc/example.c: Use setlocale, reported by Robert Scheck
	<libidn@robert-scheck.de>.

2004-07-09  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Add.

2004-07-09  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Mention pr29.h.

2004-07-09  Simon Josefsson <simon@josefsson.org>

	* po/da.po, po/de.po, po/eo.po, po/fr.po, po/nl.po, po/pl.po,
	po/ro.po, po/sr.po, po/sv.po: Generated.

2004-07-09  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 0.5.1.

2004-07-09  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2004-07-09  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Use autobuild.

2004-07-09  Simon Josefsson <simon@josefsson.org>

	* THANKS, m4/autobuild.m4: Add.

2004-07-09  Simon Josefsson <simon@josefsson.org>

	* examples/example.c, examples/example2.c, examples/example3.c,
	examples/example4.c: Call setlocale to make iconv work, reported by
	Robert Scheck <libidn@robert-scheck.de>.

2004-07-02  Simon Josefsson <simon@josefsson.org>

	* configure.ac, src/getopt.c, src/getopt1.c: Update getopt.

2004-07-02  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2004-07-02  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Fix.

2004-07-02  Simon Josefsson <simon@josefsson.org>

	* src/getopt_int.h: Add.

2004-07-02  Simon Josefsson <simon@josefsson.org>

	* configure.ac, src/Makefile.am, src/getopt.c, src/getopt.h,
	src/getopt1.c, src/getopt_.h: Update getopt module.  Now work on,
	e.g., uClibc systems which uses GNU Libc header files, but do not
	implement getopt_long.

2004-06-29  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Add.

2004-06-26  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac: Bump versions.

2004-06-26  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Add.

2004-06-26  Simon Josefsson <simon@josefsson.org>

	* po/da.po, po/de.po, po/eo.po, po/fr.po, po/nl.po, po/pl.po,
	po/ro.po, po/sr.po, po/sv.po: Generated.

2004-06-26  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 0.5.0.

2004-06-26  Simon Josefsson <simon@josefsson.org>

	* lib/pr29.c: Fix.

2004-06-26  Simon Josefsson <simon@josefsson.org>

	* doc/reference/Makefile.am: Fix.

2004-06-26  Simon Josefsson <simon@josefsson.org>

	* doc/reference/Makefile.am:
	(HTML_OBJECTS): Add libidn-pr29.html.

2004-06-26  Simon Josefsson <simon@josefsson.org>

	* doc/reference/libidn-docs.tmpl: Add PR29.

2004-06-26  Simon Josefsson <simon@josefsson.org>

	* lib/pr29.c: Add doc.

2004-06-26  Simon Josefsson <simon@josefsson.org>

	* doc/Makefile.am: Don't use wildcards for GDOC_SRC.

2004-06-26  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac: Bump versions.

2004-06-26  Simon Josefsson <simon@josefsson.org>

	* lib/pr29.c: Use 'static'.

2004-06-26  Simon Josefsson <simon@josefsson.org>

	* lib/pr29.h: Typo.

2004-06-26  Simon Josefsson <simon@josefsson.org>

	* NEWS, doc/libidn.texi, lib/Makefile.am, lib/pr29.c, lib/pr29.h,
	tests/Makefile.am, tests/tst_pr29.c: Add PR29 functions.

2004-06-12  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2004-06-12  Simon Josefsson <simon@josefsson.org>

	* po/LINGUAS, po/eo.po: Add Esperanto translation, from Edmund
	GRIMLEY EVANS <edmundo@rano.org>, via the translation project.

2004-06-11  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac: Bump versions.

2004-06-11  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Fix release target.

2004-06-11  Simon Josefsson <simon@josefsson.org>

	* po/da.po, po/de.po, po/fr.po, po/nl.po, po/pl.po, po/ro.po,
	po/sr.po, po/sv.po: Generated.

2004-06-11  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 0.4.9.

2004-06-11  Simon Josefsson <simon@josefsson.org>

	* java/Makefile.am: Work around automake limitation (cannot have
	instal-data-local target in a conditional).

2004-06-08  Simon Josefsson <simon@josefsson.org>

	* lib/stringprep.c: Cosmetic fix, sync with libc.

2004-06-07  Simon Josefsson <simon@josefsson.org>

	* NEWS: Fix.

2004-06-07  Simon Josefsson <simon@josefsson.org>

	* java/Makefile.am: Create libidn.jar link.

2004-06-03  Simon Josefsson <simon@josefsson.org>

	* java/misc/Makefile.am: Use versioned *.jar.

2004-06-02  Simon Josefsson <simon@josefsson.org>

	* java/Makefile.am: Versionize *.jar filename.

2004-06-01  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2004-06-01  Simon Josefsson <simon@josefsson.org>

	* doc/java/Makefile.am: Dist HTMLs.

2004-06-01  Simon Josefsson <simon@josefsson.org>

	* doc/gendocs_template: Add JavaDoc links.

2004-06-01  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Copy javadoc files.

2004-06-01  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac: Bump versions.

2004-06-01  Simon Josefsson <simon@josefsson.org>

	* doc/java/Makefile.am: Fix.

2004-06-01  Simon Josefsson <simon@josefsson.org>

	* java/Makefile.am: Add javadoc.

2004-06-01  Simon Josefsson <simon@josefsson.org>

	* java/Makefile.am: Distribute libidn.jar, suggested by Oliver
	Hitz.

2004-06-01  Simon Josefsson <simon@josefsson.org>

	* m4/ac_prog_javadoc.m4: Add.

2004-06-01  Simon Josefsson <simon@josefsson.org>

	* doc/Makefile.am, doc/java/Makefile.am: Add java/.

2004-06-01  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Build doc/java/Makefile.

2004-06-01  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Find javadoc.

2004-06-01  Simon Josefsson <simon@josefsson.org>

	* po/da.po, po/de.po, po/fr.po, po/nl.po, po/pl.po, po/ro.po,
	po/sr.po, po/sv.po: Generated.

2004-06-01  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 0.4.8.

2004-06-01  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2004-06-01  Simon Josefsson <simon@josefsson.org>

	* java/misc/Makefile.am: Don't use GNU make specific 'override',
	from Oliver Hitz.

2004-06-01  Simon Josefsson <simon@josefsson.org>

	* java/gnu/inet/encoding/Makefile.am, java/misc/Makefile.am: Dist
	*.java, suggested by Oliver Hitz.

2004-05-31  Simon Josefsson <simon@josefsson.org>

	* README: Fix.

2004-05-31  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac: Bump versions.

2004-05-31  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 0.4.7.

2004-05-31  Simon Josefsson <simon@josefsson.org>

	* po/da.po, po/de.po, po/fr.po, po/nl.po, po/pl.po, po/ro.po,
	po/sr.po, po/sv.po: Generated.

2004-05-31  Simon Josefsson <simon@josefsson.org>

	* NEWS: Fix.

2004-05-31  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Markup fix.

2004-05-31  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: (Java API): Fix.

2004-05-31  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Markup fixes.

2004-05-31  Simon Josefsson <simon@josefsson.org>

	* java/Makefile.am, java/README.UNICODE, java/README.html: Remove
	(moved to doc/libidn.texi).

2004-05-31  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi:
	(Introduction): Mention Java port.  (Downloading and Installing):
	Mention --enable-java.  (Java API): Add, taken from java/README.html
	and java/README.UNICODE by Oliver Hitz.

2004-05-31  Simon Josefsson <simon@josefsson.org>

	* java/Makefile.am: Revert, I don't want to require gcj for CVS
	builds.

2004-05-31  Simon Josefsson <simon@josefsson.org>

	* java/Makefile.am: Dist libidn.jar (this seem to be the norm among
	Java libraries?).

2004-05-31  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2004-05-31  Simon Josefsson <simon@josefsson.org>

	* java/Makefile.am: Build more.

2004-05-31  Simon Josefsson <simon@josefsson.org>

	* configure.ac, java/Makefile.am, java/README.UNICODE,
	java/README.html, java/gnu/inet/encoding/CombiningClass.java,
	java/gnu/inet/encoding/Composition.java,
	java/gnu/inet/encoding/DecompositionKeys.java,
	java/gnu/inet/encoding/DecompositionMappings.java,
	java/gnu/inet/encoding/IDNA.java,
	java/gnu/inet/encoding/IDNAException.java,
	java/gnu/inet/encoding/Makefile.am,
	java/gnu/inet/encoding/NFKC.java,
	java/gnu/inet/encoding/RFC3454.java,
	java/gnu/inet/encoding/Stringprep.java,
	java/gnu/inet/encoding/StringprepException.java,
	java/misc/GenerateNFKC.java, java/misc/GenerateRFC3454.java,
	java/misc/Makefile.am, java/misc/TestIDNA.java,
	java/misc/TestNFKC.java, java/gnu/inet/encoding/Punycode.java,
	java/gnu/inet/encoding/PunycodeException.java: Improve JAVA port,
	from Oliver Hitz <oliver@net-track.ch>.

2004-05-25  Simon Josefsson <simon@josefsson.org>

	* README-alpha: Fix.

2004-05-25  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac: Bump versions.

2004-05-24  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 0.4.6.

2004-05-24  Simon Josefsson <simon@josefsson.org>

	* po/da.po, po/de.po, po/fr.po, po/nl.po, po/pl.po, po/ro.po,
	po/sr.po, po/sv.po: Generated.

2004-05-24  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2004-05-24  Simon Josefsson <simon@josefsson.org>

	* lib/Makefile.am:
	(include_HEADERS): Install idn-free.h, reported by Daniel Stenberg
	<daniel-curl@haxx.se>.

2004-05-21  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac: Bump versions.

2004-05-21  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 0.4.5.

2004-05-21  Simon Josefsson <simon@josefsson.org>

	* po/da.po, po/de.po, po/fr.po, po/nl.po, po/pl.po, po/ro.po,
	po/sr.po, po/sv.po: Generated.

2004-05-21  Simon Josefsson <simon@josefsson.org>

	* doc/Makefile.am: Bump copyright years on man pages.

2004-05-21  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Bump so version.

2004-05-21  Simon Josefsson <simon@josefsson.org>

	* doc/reference/Makefile.am:
	(HIGNORE): Add idn-free.h.

2004-05-21  Simon Josefsson <simon@josefsson.org>

	* lib/stringprep.c:
	(stringprep): Move declaration of temporary variable to start of
	scope.

2004-05-21  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2004-05-21  Simon Josefsson <simon@josefsson.org>

	* lib/idna.c:
	(idna_to_unicode_4z4z): There was no double free, remove my
	modification.

2004-05-21  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2004-05-21  Simon Josefsson <simon@josefsson.org>

	* lib/idna.c:
	(idna_to_ascii_4i, idna_to_unicode_4z4z): Fix memory leak when
	memory allocation fails.  From Ulrich Drepper <drepper@redhat.com>,
	but modified to fix double free and incorrect 'if' condition.

2004-05-21  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2004-05-21  Simon Josefsson <simon@josefsson.org>

	* lib/stringprep.c:
	(stringprep): Fix memory leak when memory allocation fails.  From
	Ulrich Drepper <drepper@redhat.com>.

2004-05-21  Simon Josefsson <simon@josefsson.org>

	* lib/idna.c: Doc fix.

2004-05-21  Simon Josefsson <simon@josefsson.org>

	* lib/idna.c: Back port of (some) changes by Ulrich Drepper
	<drepper@redhat.com>.
	(idna_to_unicode_internal): Fix memory leaks when memory allocation
	fails.  Deallocate utf8in on failure.
	(idna_to_unicode_44i): Don't free, done in idna_to_unicode_internal.
	(idna_to_ascii_4z): Fix memory leak when memory allocation fails.

2004-05-21  Simon Josefsson <simon@josefsson.org>

	* THANKS, NEWS: Add.

2004-05-21  Simon Josefsson <simon@josefsson.org>

	* lib/Makefile.am, lib/idn-free.c, lib/idn-free.h: Add idn_free,
	suggested by "Gisle Vanem" <gvanem@broadpark.no>.

2004-04-30  Simon Josefsson <simon@josefsson.org>

	* NEWS: Fix.

2004-04-30  Simon Josefsson <simon@josefsson.org>

	* lib/idna.c:
	(idna_to_ascii_lz): Doc fix, reported by Joe Orton
	<jorton@redhat.com>.

2004-04-30  Simon Josefsson <simon@josefsson.org>

	* tests/tst_nfkc.c: Add NFKC test vectors from pr-29.html.  Fix
	debug output.

2004-04-30  Simon Josefsson <simon@josefsson.org>

	* tests/utils.c: Fix ucs4print debugging output.

2004-04-29  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2004-04-29  Simon Josefsson <simon@josefsson.org>

	* tests/tst_stringprep.c: Update SASLPrep test vectors.

2004-04-29  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac: Bump versions.

2004-04-29  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 0.4.4.

2004-04-29  Simon Josefsson <simon@josefsson.org>

	* po/da.po, po/de.po, po/fr.po, po/nl.po, po/pl.po, po/ro.po,
	po/sr.po, po/sv.po: Generated.

2004-04-29  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2004-04-29  Simon Josefsson <simon@josefsson.org>

	* THANKS, NEWS: Add.

2004-04-29  Simon Josefsson <simon@josefsson.org>

	* tests/Makefile.am: Use -no-install to avoid libtool wrapper
	script, tiny patch from Joe Orton <jorton@redhat.com>.

2004-04-29  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2004-04-29  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2004-04-29  Simon Josefsson <simon@josefsson.org>

	* tests/tst_stringprep.c: Add iSCSI test vectors to catch recent
	bugs.

2004-04-29  Simon Josefsson <simon@josefsson.org>

	* lib/profiles.c:
	(stringprep_iscsi_prohibit): For start==0, use end!=1.

2004-04-29  Simon Josefsson <simon@josefsson.org>

	* lib/profiles.c:
	(stringprep_iscsi): Add C_1_1, C_2_1, and C_7 (after reading newly
	published RFC 3722).

2004-04-24  Simon Josefsson <simon@josefsson.org>

	* THANKS, NEWS: Add.

2004-04-24  Simon Josefsson <simon@josefsson.org>

	* po/LINGUAS, po/ro.po: Add, by Laurentiu Buzdugan <lbuz@rolix.org>
	via translation project.

2004-04-23  Simon Josefsson <simon@josefsson.org>

	* lib/toutf8.c: Rename variable to avoid silly shadowing warnings.

2004-04-23  Simon Josefsson <simon@josefsson.org>

	* tests/Makefile.am: Move utils.c and utils.h into a separate
	library.

2004-04-23  Simon Josefsson <simon@josefsson.org>

	* tests/Makefile.am, tests/tst_idna.c, tests/tst_idna2.c,
	tests/tst_nfkc.c, tests/tst_punycode.c, tests/tst_stringprep.c,
	tests/tst_tld.c, tests/utils.c, tests/utils.h: Split out common
	stuff into utils.c and utils.h.

2004-04-23  Simon Josefsson <simon@josefsson.org>

	* tests/tst_nfkc.c: Fix warnings.

2004-04-22  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Require modern autoconf.

2004-04-22  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac: Bump versions.

2004-04-22  Simon Josefsson <simon@josefsson.org>

	* lib/toutf8.c: Indent.

2004-04-22  Simon Josefsson <simon@josefsson.org>

	* po/da.po, po/de.po, po/fr.po, po/nl.po, po/pl.po, po/sr.po,
	po/sv.po: Generated.

2004-04-22  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 0.4.3.

2004-04-22  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2004-04-22  Simon Josefsson <simon@josefsson.org>

	* lib/tld.h:
	(Tld_table): Mark "name" and "version" as const.

2004-04-22  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2004-04-22  Simon Josefsson <simon@josefsson.org>

	* tests/tst_stringprep.c: Add SASLprep test vectors (would catch
	the C.2.1 bug).

2004-04-22  Simon Josefsson <simon@josefsson.org>

	* lib/stringprep.c:
	(stringprep_find_character_in_table): Fix end-of-table test, to
	handle valid uses of start=0 (as in table C.2.1).

2004-04-21  Simon Josefsson <simon@josefsson.org>

	* AUTHORS: Update PGP key.

2004-04-18  Simon Josefsson <simon@josefsson.org>

	* THANKS: Add.

2004-04-18  Simon Josefsson <simon@josefsson.org>

	* libidn.pc.in: Drop -R lib flag, suggested by Martin Waitz
	<tali@debian.org>.

2004-04-11  Simon Josefsson <simon@josefsson.org>

	* README-alpha: Fix versions.

2004-04-09  Simon Josefsson <simon@josefsson.org>

	* NEWS, THANKS: Add.

2004-04-09  Simon Josefsson <simon@josefsson.org>

	* po/LINGUAS, po/nl.po: Add, from Elros Cyriatan
	<cyriatan@fastmail.fm> via Translation Project.

2004-03-28  Simon Josefsson <simon@josefsson.org>

	* NEWS, THANKS: Add.

2004-03-28  Simon Josefsson <simon@josefsson.org>

	* po/LINGUAS, po/de.po: Add German translation, from Roland Illig
	<roland.illig@gmx.de> via translation project.

2004-03-20  Simon Josefsson <simon@josefsson.org>

	* THANKS: Add.

2004-03-20  Simon Josefsson <simon@josefsson.org>

	* doc/Makefile.gdoci: Use TAB instead of \t, suggested by Jørgen
	Thomsen <jth@jth.net>.

2004-03-20  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac: Bump versions.

2004-03-20  Simon Josefsson <simon@josefsson.org>

	* po/da.po, po/fr.po, po/pl.po, po/sr.po, po/sv.po: Generated.

2004-03-20  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 0.4.2.

2004-03-20  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Inform about Java.

2004-03-20  Simon Josefsson <simon@josefsson.org>

	* libc/getaddrinfo-idn.txt: Update.

2004-03-20  Simon Josefsson <simon@josefsson.org>

	* Makefile.am, libc/Banner, libc/Makefile, libc/README,
	libc/Versions, libc/configure, libc/getaddrinfo.c, libc/idn-stub.c,
	libc/libc.patch, libc/libidn.texi, libc/netdb.h: Remove most of
	libc stuff (has been integrated in libc CVS).

2004-03-20  Simon Josefsson <simon@josefsson.org>

	* README, java/Makefile.am: Fix.

2004-03-20  Simon Josefsson <simon@josefsson.org>

	* COPYING: Add.

2004-03-20  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi, NEWS: Fix.

2004-03-20  Simon Josefsson <simon@josefsson.org>

	* THANKS, AUTHORS: Add.

2004-03-20  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2004-03-20  Simon Josefsson <simon@josefsson.org>

	* java/Makefile.am, java/gnu/inet/encoding/Makefile.am,
	java/gnu/inet/encoding/Punycode.java,
	java/gnu/inet/encoding/PunycodeException.java: Fix.

2004-03-19  Simon Josefsson <simon@josefsson.org>

	* m4/ac_prog_jar.m4, m4/ac_prog_javac.m4,
	m4/ac_prog_javac_works.m4: Add, from GNU Autoconf Macro Archive.

2004-03-19  Simon Josefsson <simon@josefsson.org>

	* java/gnu/inet/encoding/PunycodeException.java: Add, from Oliver
	Hitz <oliver@net-track.ch>.

2004-03-19  Simon Josefsson <simon@josefsson.org>

	* java/gnu/inet/encoding/Makefile.am:
	(noinst_JAVA): Only include Punycode*.java for now.

2004-03-19  Simon Josefsson <simon@josefsson.org>

	* Makefile.am, configure.ac, java/Makefile.am,
	java/gnu/Makefile.am, java/gnu/inet/Makefile.am,
	java/gnu/inet/encoding/Makefile.am,
	java/gnu/inet/encoding/Punycode.java: Add infrastructure for Java
	code, and add Punycode, from Oliver Hitz <oliver@net-track.ch>.

2004-03-16  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2004-03-16  Simon Josefsson <simon@josefsson.org>

	* THANKS: Add.

2004-03-16  Simon Josefsson <simon@josefsson.org>

	* po/LINGUAS, po/da.po: Add, from Morten Bo Johansen
	<mojo@mbjnet.dk> via Translation Project.

2004-03-14  Simon Josefsson <simon@josefsson.org>

	* po/pl.po: Update.

2004-03-14  Simon Josefsson <simon@josefsson.org>

	* po/LINGUAS: Add.

2004-03-14  Simon Josefsson <simon@josefsson.org>

	* THANKS: Fix.

2004-03-14  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi, THANKS: Ack Unicode, Inc.

2004-03-14  Simon Josefsson <simon@josefsson.org>

	* THANKS, NEWS: Add.

2004-03-14  Simon Josefsson <simon@josefsson.org>

	* po/fr.po, po/LINGUAS: Add, from Michel Robitaille
	<robitail@IRO.UMontreal.CA> via Translation Project.

2004-03-14  Simon Josefsson <simon@josefsson.org>

	* THANKS, NEWS: Add.

2004-03-14  Simon Josefsson <simon@josefsson.org>

	* po/LINGUAS, po/sr.po: Add, from Aleksandar Jelenak
	<jelenak@netlinkplus.net> via Translation Project.

2004-03-13  Simon Josefsson <simon@josefsson.org>

	* doc/tld/no.tld: Add URLs.

2004-03-13  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2004-03-13  Simon Josefsson <simon@josefsson.org>

	* doc/tld/Makefile.am: Add no.tld.

2004-03-13  Simon Josefsson <simon@josefsson.org>

	* doc/tld/no.tld: Add, from Thomas Jacob <jacob@internet24.de>.

2004-03-13  Simon Josefsson <simon@josefsson.org>

	* po/sv.po: Fix.

2004-03-13  Simon Josefsson <simon@josefsson.org>

	* src/idn.ggo, doc/libidn.texi: Add.

2004-03-10  Simon Josefsson <simon@josefsson.org>

	* THANKS: Fix.

2004-03-10  Simon Josefsson <simon@josefsson.org>

	* THANKS, NEWS: Add.

2004-03-10  Simon Josefsson <simon@josefsson.org>

	* po/LINGUAS, po/pl.po: Add Polish translation, from Jakub Bogusz
	<qboosh@pld-linux.org>.

2004-03-09  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Build lib/ before po/.

2004-03-09  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac: Bump versions.

2004-03-08  Simon Josefsson <simon@josefsson.org>

	* po/sv.po: Generated.

2004-03-08  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 0.4.1.

2004-03-08  Simon Josefsson <simon@josefsson.org>

	* tests/tst_tld.c: Fix warning.

2004-03-08  Simon Josefsson <simon@josefsson.org>

	* NEWS: Fix.

2004-03-08  Simon Josefsson <simon@josefsson.org>

	* po/sv.po: Generated.

2004-03-08  Simon Josefsson <simon@josefsson.org>

	* src/Makefile.am:
	(idn_LDADD): Add LTLIBINTL.

2004-03-08  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2004-03-08  Simon Josefsson <simon@josefsson.org>

	* po/sv.po: Generated.

2004-03-08  Simon Josefsson <simon@josefsson.org>

	* po/sv.po: Fix.

2004-03-08  Simon Josefsson <simon@josefsson.org>

	* src/idn.c: Cosmetic fix.

2004-03-08  Simon Josefsson <simon@josefsson.org>

	* po/sv.po: Add.

2004-03-08  Simon Josefsson <simon@josefsson.org>

	* src/idn.c: Translation markup.

2004-03-08  Simon Josefsson <simon@josefsson.org>

	* po/sv.po: Fix.

2004-03-08  Simon Josefsson <simon@josefsson.org>

	* src/idn.c: Gettextiscate.

2004-03-08  Simon Josefsson <simon@josefsson.org>

	* po/sv.po: Add.

2004-03-08  Simon Josefsson <simon@josefsson.org>

	* src/Makefile.am, src/gettext.h: Add gettext.h.  Define LOCALEDIR
	(for gettext).

2004-03-08  Simon Josefsson <simon@josefsson.org>

	* po/Makevars: Add.

2004-03-08  Simon Josefsson <simon@josefsson.org>

	* config.rpath, m4/lib-ld.m4, m4/lib-prefix.m4: Remove, added by
	gettextize.

2004-03-08  Simon Josefsson <simon@josefsson.org>

	* Makefile.am, configure.ac, po/LINGUAS, po/POTFILES.in:
	Gettextiscate.

2004-03-08  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2004-03-08  Simon Josefsson <simon@josefsson.org>

	* NEWS: Fix.

2004-03-08  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Fix IDNA_DLOPEN_ERROR.

2004-03-08  Simon Josefsson <simon@josefsson.org>

	* lib/toutf8.c:
	(stringprep_convert): Don't copy input.  Check for malloc failures.
	From Ulrich Drepper <drepper@redhat.com>, via libidn integration in
	libc.

2004-03-08  Simon Josefsson <simon@josefsson.org>

	* src/idn.c: Invoke setlocale (LC_ALL, "").

2004-03-08  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2004-03-08  Simon Josefsson <simon@josefsson.org>

	* lib/toutf8.c:
	(stringprep_locale_charset_slow): Remove.
	(stringprep_locale_charset) [_LIBC]: Define to nl_langinfo(CODESET).
	(stringprep_locale_charset) [!_LIBC]: Don't cache charset.  Remove
	broken setlocale hack.  All based on discussion with Ulrich Drepper
	<drepper@redhat.com>, during libidn integration in libc.

2004-03-08  Simon Josefsson <simon@josefsson.org>

	* lib/idna.c:
	(Idna_rc): Doc fix IDNA_DLOPEN_ERROR.

2004-03-08  Simon Josefsson <simon@josefsson.org>

	* NEWS: Fix.

2004-03-08  Simon Josefsson <simon@josefsson.org>

	* THANKS, NEWS: Add.

2004-03-08  Simon Josefsson <simon@josefsson.org>

	* lib/nfkc.c: Fix warning, tiny patch by Ulrich Drepper
	<drepper@redhat.com> from libidn integration in libc.

2004-03-08  Simon Josefsson <simon@josefsson.org>

	* lib/idna.h:
	(Idna_rc): Add IDNA_DLOPEN_ERROR error code, for libidn part of
	libc.

2004-03-08  Simon Josefsson <simon@josefsson.org>

	* lib/stringprep.h.in:
	(Stringprep_profiles): Mark 'name' as 'const'.  Tiny patch to libidn
	in libc by Ulrich Drepper <drepper@redhat.com>.

2004-03-08  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2004-03-08  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Dist libc/idn-stub.c and libc/libidn.texi.

2004-03-08  Simon Josefsson <simon@josefsson.org>

	* libc/libc.patch: Update, from libc-alpha post.

2004-03-08  Simon Josefsson <simon@josefsson.org>

	* libc/idn-stub.c, libc/libidn.texi: Add, from libc-alpha post.

2004-03-08  Simon Josefsson <simon@josefsson.org>

	* libc/Makefile: Sync libc-alpha post.

2004-03-08  Simon Josefsson <simon@josefsson.org>

	* libc/README, libc/example.c: Update.

2004-03-08  Simon Josefsson <simon@josefsson.org>

	* libc/getaddrinfo.c, libc/netdb.h: Sync.

2004-03-07  Simon Josefsson <simon@josefsson.org>

	* lib/stringprep.c: Fix comment.

2004-03-07  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2004-03-07  Simon Josefsson <simon@josefsson.org>

	* README-alpha: Fix version requirements.

2004-03-07  Simon Josefsson <simon@josefsson.org>

	* README-alpha: Fix texinfo requirement.

2004-03-05  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2004-03-05  Simon Josefsson <simon@josefsson.org>

	* lib/profiles.c:
	(stringprep_saslprep): Fix typo; make sure non-ASCII space
	characters are prohibited.

2004-03-01  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi, doc/tld/README: Mention tldchk.berlios.de,
	suggested by Thomas Jacob <jacob@internet24.de>.

2004-02-28  Simon Josefsson <simon@josefsson.org>

	* lib/Makefile.am: Don't install tld.h if --disable-tld.

2004-02-28  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac: Bump versions.

2004-02-28  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 0.4.0.

2004-02-28  Simon Josefsson <simon@josefsson.org>

	* lib/toutf8.c: Always include errno.h (C89).

2004-02-28  Simon Josefsson <simon@josefsson.org>

	* lib/tld.c, src/idn.c: Indent.

2004-02-28  Simon Josefsson <simon@josefsson.org>

	* README: Mention TLD.

2004-02-28  Simon Josefsson <simon@josefsson.org>

	* lib/gen-tld-tables.pl: Handle draft-hoffman-idn-reg-*.txt tables
	better.

2004-02-28  Simon Josefsson <simon@josefsson.org>

	* doc/tld/fr.tld: Add headers.  Fix typos and comments.

2004-02-28  Simon Josefsson <simon@josefsson.org>

	* doc/tld/fr.tld: Add copying conditions.

2004-02-28  Simon Josefsson <simon@josefsson.org>

	* doc/tld/fr.tld: Add, from Stephane Bortzmeyer
	<bortzmeyer@nic.fr>.

2004-02-28  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Don't document Tld_table* for now.

2004-02-28  Simon Josefsson <simon@josefsson.org>

	* lib/tld.c:
	(_tld_checkchar): Use new Tld_table API.

2004-02-28  Simon Josefsson <simon@josefsson.org>

	* lib/tld.h:
	(Tld_table): Change valid definition.

2004-02-28  Simon Josefsson <simon@josefsson.org>

	* lib/gen-tld-tables.pl: Use new API.

2004-02-28  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Fix.

2004-02-28  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Improve Troubleshooting.

2004-02-27  Simon Josefsson <simon@josefsson.org>

	* lib/tld.c: Cosmetic fix.

2004-02-27  Simon Josefsson <simon@josefsson.org>

	* lib/tld.c:
	(tld_check_4): Don't write to NULL errpos, from Thomas Jacob
	<jacob@internet24.de>.

2004-02-18  Simon Josefsson <simon@josefsson.org>

	* lib/gen-tld-tables.pl: Typo.

2004-02-18  Simon Josefsson <simon@josefsson.org>

	* lib/gen-tld-tables.pl: Use hex in output.

2004-02-18  Simon Josefsson <simon@josefsson.org>

	* lib/gen-tld-tables.pl: Add comment.

2004-02-18  Simon Josefsson <simon@josefsson.org>

	* lib/gen-tld-tables.pl: Parse tables conforming to
	draft-hoffman-idn-reg.

2004-02-18  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Fix typos.

2004-02-18  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Fix autoconf stuff, suggested by Stephane
	Bortzmeyer <bortzmeyer@nic.fr>.

2004-02-15  Simon Josefsson <simon@josefsson.org>

	* NEWS: Fix.

2004-02-14  Simon Josefsson <simon@josefsson.org>

	* lib/tld.c: Doc fix.

2004-02-14  Simon Josefsson <simon@josefsson.org>

	* NEWS: Fix.

2004-02-12  Simon Josefsson <simon@josefsson.org>

	* lib/tld.c: Fix.  Indent.

2004-02-12  Simon Josefsson <simon@josefsson.org>

	* lib/tld.c:
	(tld_get_z): Allocate correct amount, from Thomas Jacob
	<jacob@internet24.de>.

2004-02-11  Simon Josefsson <simon@josefsson.org>

	* examples/README: Fix title.

2004-02-11  Simon Josefsson <simon@josefsson.org>

	* examples/README: Add.

2004-02-10  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2004-02-10  Simon Josefsson <simon@josefsson.org>

	* examples/example5.c: Fix warning.

2004-02-10  Simon Josefsson <simon@josefsson.org>

	* src/idn.c: Fix TLD debug.

2004-02-10  Simon Josefsson <simon@josefsson.org>

	* src/idn.c: TLD check correct string.

2004-02-10  Simon Josefsson <simon@josefsson.org>

	* lib/tld.c: Fix warning.

2004-02-10  Simon Josefsson <simon@josefsson.org>

	* examples/Makefile.am: TLD fix.

2004-02-10  Simon Josefsson <simon@josefsson.org>

	* lib/gen-tld-tables.pl: Fix include, from Thomas Jacob
	<jacob@internet24.de>.

2004-02-09  Simon Josefsson <simon@josefsson.org>

	* lib/stringprep.c: Mention example5.

2004-02-09  Simon Josefsson <simon@josefsson.org>

	* lib/stringprep.c: Sync libidn text.

2004-02-09  Simon Josefsson <simon@josefsson.org>

	* doc/reference/libidn-docs.tmpl: Sync text.

2004-02-09  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Fix introduction.

2004-02-09  Simon Josefsson <simon@josefsson.org>

	* lib/tld.c, tests/tst_tld.c: Typo.

2004-02-09  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: TLD fixes.

2004-02-09  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Add.

2004-02-09  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Add example 5.

2004-02-09  Simon Josefsson <simon@josefsson.org>

	* lib/tld.c:
	(_tld_checkchar): Binary search, from jacob@internet24.de.

2004-02-09  Simon Josefsson <simon@josefsson.org>

	* NEWS: Remove.

2004-02-09  Simon Josefsson <simon@josefsson.org>

	* lib/tld.c, lib/tld.h: Indent.

2004-02-09  Simon Josefsson <simon@josefsson.org>

	* lib/tld.c: Whitespace.

2004-02-09  Simon Josefsson <simon@josefsson.org>

	* lib/tld.h: Doc fix.

2004-02-09  Simon Josefsson <simon@josefsson.org>

	* lib/gen-tld-tables.pl, lib/tld.c, lib/tld.h: Hide tld_tables.

2004-02-09  Simon Josefsson <simon@josefsson.org>

	* NEWS, doc/libidn.texi, lib/tld.c, lib/tld.h:
	(tld_get_z): Support any charset (renamed from tld_get_8z).

2004-02-09  Simon Josefsson <simon@josefsson.org>

	* NEWS, lib/tld.c, lib/tld.h: Typo.

2004-02-08  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi, NEWS: Add.

2004-02-08  Simon Josefsson <simon@josefsson.org>

	* lib/tld.c, lib/tld.h:
	(tld_get_8z): Add.

2004-02-08  Simon Josefsson <simon@josefsson.org>

	* examples/Makefile.am: Add.

2004-02-08  Simon Josefsson <simon@josefsson.org>

	* examples/example5.c: Add.

2004-02-08  Simon Josefsson <simon@josefsson.org>

	* lib/idna.c: Doc fix.

2004-02-08  Simon Josefsson <simon@josefsson.org>

	* lib/gen-tld-tables.pl: Fix.

2004-02-07  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Fix.

2004-02-07  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Add.

2004-02-07  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Add.

2004-02-07  Simon Josefsson <simon@josefsson.org>

	* lib/profiles.c, lib/tld.h, src/idn.c, tests/tst_tld.c: Indent.

2004-02-07  Simon Josefsson <simon@josefsson.org>

	* src/Makefile.am: Fix indent.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* doc/tld/README: Add.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* doc/tld/README: Fix.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* doc/tld/README: Rewrite.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* lib/gen-tld-tables.pl: Fix "include".

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* NEWS: Fix.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi, lib/tld.c, lib/tld.h, src/idn.c,
	tests/tst_tld.c: Rename TLD_ILLEGAL to TLD_INVALID.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Fix.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Add.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Update idn command line.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* src/idn.ggo: Move around.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* src/idn.ggo: Fix stringprep profiles.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* src/idn.c: TLD typo.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* src/idn.ggo: Make --tld the default.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* src/idn.c: Support --tld.  Make sure output is hold in "p".  Fix
	error messages.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* src/idn.ggo: TLD fix.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* NEWS: Fix.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* THANKS: Add.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Typos.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Fix.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* lib/tld.h: Doc fix.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Add.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* lib/tld.c: Typo.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* lib/tld.c: Doc fix.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Add.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* lib/tld.h: Doc fix.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* tests/tst_tld.c: Use new API.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* lib/tld.c, lib/tld.h:
	(tld_default_table): Add.
	(tld_get_table): Fix.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* lib/tld.c, lib/tld.h: Typo.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* lib/tld.h, lib/tld.c: Revert.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* lib/tld.c, lib/tld.h: Change semantics if tld_get_table.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* lib/gen-tld-tables.pl, lib/tld.h, lib/tld.c: Typo.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* lib/tld.c: Typos.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* tests/tst_tld.c: Use new API.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* lib/tld.c: Rename tld_check_*.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* lib/tld.h: Rename tld_check_*.  Doc fix.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* lib/tld.h, lib/tld.c: Rename tld_gettld_* to tld_get_*.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* lib/tld.c: Use new API.
	(tld_get_table): Rewrite.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* lib/gen-tld-tables.pl: Use new API.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* lib/tld.h: Fix Tld_table.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* lib/tld.c: Reorder.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* tests/tst_tld.c: Use new API.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* lib/tld.c, lib/tld.h: Don't export tld_checkchar.  Rename
	tld_finddomain to tld_get_table.  Fixes.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* tests/tst_tld.c: Fix.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* lib/profiles.c, lib/punycode.c, lib/stringprep.c, lib/tld.c,
	lib/tld.h: Indent.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Fix acks.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Add.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* AUTHORS: Add.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* doc/reference/libidn-docs.tmpl: Update.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* doc/components.fig: Add TLD.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Fix.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Update introduction.  Add TLD.  Fix autoconf
	example.  Remove Kerberos 5 macro documentation.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* lib/stringprep.c: Doc fix.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* lib/tld.h: Fix.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* doc/reference/libidn-docs.tmpl, doc/reference/Makefile.am: Add
	TLD.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Bump versions.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* lib/Makefile.am, tests/Makefile.am: Make it possible to exclude
	TLD.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Add --disable-tld.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Build doc/tld/Makefile.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* tests/Makefile.am: Add tst_tld.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* src/idn.ggo: Add --tld.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* tests/tst_tld.c: Add.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* lib/tld.h, lib/gen-tld-tables.pl: Fix Tld_table.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* lib/tld.c: TLD code fix.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* lib/tld.c: TLD fixes.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* lib/tld.h: TLD typos.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* lib/Makefile.am: TLD fix.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* lib/tld.c: Add, from Thomas Jacob <jacob@internet24.de>.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* lib/tld.h: Fixes.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* lib/tld.h: Add, from Thomas Jacob <jacob@internet24.de>.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* lib/gen-tld-tables.pl: TLD fixes.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* lib/gen-tld-tables.pl: Print to stdout.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* lib/Makefile.am: TLD fixes.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* lib/gen-tld-tables.pl, lib/Makefile.am: Add, from Thomas Jacob
	<jacob@internet24.de>.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* doc/Makefile.am: Add tld/.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* doc/tld/Makefile.am: Fix.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* doc/tld/README: Add copying conditions.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* doc/tld/README, doc/tld/Makefile.am: Add, from Thomas Jacob
	<jacob@internet24.de>.

2004-02-04  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Typo.

2004-02-01  Simon Josefsson <simon@josefsson.org>

	* doc/components.fig: Fix.

2004-02-01  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Fix.

2004-02-01  Simon Josefsson <simon@josefsson.org>

	* doc/components.fig: Add.

2004-02-01  Simon Josefsson <simon@josefsson.org>

	* doc/Makefile.am: Build components.pdf too.

2004-02-01  Simon Josefsson <simon@josefsson.org>

	* doc/Makefile.am, doc/libidn.texi: Add components.fig.

2004-01-31  Simon Josefsson <simon@josefsson.org>

	* THANKS: Add.

2004-01-31  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Fix, reported by nisse@lysator.liu.se (Niels
	Möller).

2004-01-22  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac: Bump versions.

2004-01-22  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Fix release target.

2004-01-22  Simon Josefsson <simon@josefsson.org>

	* doc/gendocs.sh: Upstream sync.

2004-01-22  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 0.3.7.

2004-01-22  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Add release target.

2004-01-22  Simon Josefsson <simon@josefsson.org>

	* .prev-version, GNUmakefile, Makefile.am, Makefile.cfg,
	Makefile.maint, announce-gen: Remove ugly maintainance hacks.

2004-01-22  Simon Josefsson <simon@josefsson.org>

	* src/idn.c: Typo.

2004-01-22  Simon Josefsson <simon@josefsson.org>

	* src/idn.c: Update copyright years.

2004-01-22  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2004-01-22  Simon Josefsson <simon@josefsson.org>

	* THANKS: Add.

2004-01-22  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Mention '--'.

2004-01-22  Simon Josefsson <simon@josefsson.org>

	* src/idn.ggo: Mention '--'.

2004-01-21  Simon Josefsson <simon@josefsson.org>

	* src/idn.ggo, doc/libidn.texi, tests/tst_stringprep.c: Fix iSCSI
	profile name.

2004-01-21  Simon Josefsson <simon@josefsson.org>

	* lib/profiles.c: Add alias 'iSCSI'.

2004-01-18  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi, doc/fdl.texi: Use FDL 1.2.

2004-01-18  Simon Josefsson <simon@josefsson.org>

	* src/idn.c: Fix warning.

2004-01-14  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Don't use AC_LIBTOOL_TAGS, too experimental.

2004-01-10  Simon Josefsson <simon@josefsson.org>

	* doc/Makefile.am: Fix idn.1 depends.

2004-01-10  Simon Josefsson <simon@josefsson.org>

	* doc/Makefile.am: Dist texinfo.css.

2004-01-10  Simon Josefsson <simon@josefsson.org>

	* doc/gendocs_template: Sync with texinfo.

2004-01-10  Simon Josefsson <simon@josefsson.org>

	* doc/gendocs_template: Remove DocBook.

2004-01-10  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2004-01-10  Simon Josefsson <simon@josefsson.org>

	* configure.ac, doc/Makefile.am: Remove DocBook stuff.

2004-01-10  Simon Josefsson <simon@josefsson.org>

	* doc/Makefile.am, doc/libidn.css, doc/texinfo.css: Rename
	libidn.css to texinfo.css.

2004-01-10  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.css: Fix.

2004-01-10  Simon Josefsson <simon@josefsson.org>

	* doc/Makefile.am: Use CSS for HTML.

2004-01-10  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.css: Add.

2004-01-06  Simon Josefsson <simon@josefsson.org>

	* libc/getaddrinfo-idn.txt: Add.

2004-01-06  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac: Bump versions.

2004-01-06  Simon Josefsson <simon@josefsson.org>

	* .prev-version: [no log message]

2004-01-06  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 0.3.6.

2004-01-06  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Fix license header.

2004-01-06  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2004-01-01  Simon Josefsson <simon@josefsson.org>

	* configure.ac, m4/ax_create_stdint_h.m4: Fix, to use ax_...
	verbatim from upstream.

2004-01-01  Simon Josefsson <simon@josefsson.org>

	* m4/ac_compile_check_sizeof.m4: Remove (not used by ax_... any
	more).

2004-01-01  Simon Josefsson <simon@josefsson.org>

	* m4/ax_create_stdint_h.m4: Apply local fixes.

2004-01-01  Simon Josefsson <simon@josefsson.org>

	* m4/ax_create_stdint_h.m4: Sync with upstream version 1.4.

2003-12-30  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2003-12-30  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Allow autoconf 2.57.

2003-12-18  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Encode file in ASCII.

2003-12-16  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Replace non-ASCII with Texinfo accents.

2003-12-16  Simon Josefsson <simon@josefsson.org>

	* THANKS, doc/libidn.texi: Add Troubleshooting discussion for idn
	tool.  Suggested by "Jan-Hendrik Heuing" <jh@netfielders.de> and Kai
	Schaetzl <kai@conactive.com>.

2003-12-15  Simon Josefsson <simon@josefsson.org>

	* ANNOUNCE: Remove (see doc/libidn.texi instead).

2003-12-15  Simon Josefsson <simon@josefsson.org>

	* README: Fix.

2003-12-15  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac: Bump versions.

2003-12-15  Simon Josefsson <simon@josefsson.org>

	* .prev-version: [no log message]

2003-12-15  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 0.3.5.

2003-12-15  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Use @finalout.

2003-12-15  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2003-12-15  Simon Josefsson <simon@josefsson.org>

	* doc/Makefile.am: Remove DocBook HTML targets (I'm tired of
	updating the random filenames in the Makefile).

2003-12-15  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Set charset cookie.  Use @section instead of
	@majorheading for DocBook.  Add real examples to idn section.

2003-12-15  Simon Josefsson <simon@josefsson.org>

	* doc/gendocs.sh: Sync with Texinfo CVS.

2003-12-15  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2003-12-15  Simon Josefsson <simon@josefsson.org>

	* doc/Makefile.am: Update DocBook HTML target.

2003-12-11  Simon Josefsson <simon@josefsson.org>

	* NEWS, THANKS, doc/libidn.texi, lib/idna.c, lib/idna.h: Rename
	IDNA_CONTAINS_LDH to IDNA_CONTAINS_NON_LDH.  Reported by Graydon
	Hoare <graydon@redhat.com>.

2003-12-10  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Check for autoconf 2.59 and automake 1.8.

2003-12-10  Simon Josefsson <simon@josefsson.org>

	* README-alpha: Mention versions.

2003-12-04  Simon Josefsson <simon@josefsson.org>

	* README: Fix.

2003-11-27  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2003-11-27  Simon Josefsson <simon@josefsson.org>

	* configure.ac, src/Makefile.am, src/idn.ggo, src/idn.ggo.in:
	Simplify gengetopt building.  Use AM_CPPFLAGS, not *_CPPFLAGS.

2003-11-27  Simon Josefsson <simon@josefsson.org>

	* src/idn.c: Print instructions.  Suggested by Kai Schaetzl
	<kai@conactive.com>.

2003-11-26  Simon Josefsson <simon@josefsson.org>

	* libc/getaddrinfo-idn.txt: Typo.

2003-11-26  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2003-11-26  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Update Invoking idn.

2003-11-26  Simon Josefsson <simon@josefsson.org>

	* src/idn.c, src/idn.ggo.in: Make -a the default.

2003-11-26  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Update Invoking idn.

2003-11-26  Simon Josefsson <simon@josefsson.org>

	* THANKS: Add.

2003-11-26  Simon Josefsson <simon@josefsson.org>

	* src/Makefile.am, src/idn.c: Support strings passed on command
	line instead of on stdin.  Suggested by Kai Schaetzl
	<kai@conactive.com>.

2003-11-26  Simon Josefsson <simon@josefsson.org>

	* libc/getaddrinfo-idn.txt: Add todo.

2003-11-25  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Disable fortran etc libtool checks.

2003-11-23  Simon Josefsson <simon@josefsson.org>

	* doc/gendocs.sh: Add --docbook.

2003-11-23  Simon Josefsson <simon@josefsson.org>

	* doc/gendocs.sh: Sync with texinfo.

2003-11-20  Simon Josefsson <simon@josefsson.org>

	* src/idn.c: Fix GREETING.

2003-11-11  Simon Josefsson <simon@josefsson.org>

	* doc/gdoc: TeX improvements.  From Nikos Mavroyanopoulos
	<nmav@gnutls.org>.

2003-11-11  Simon Josefsson <simon@josefsson.org>

	* doc/Makefile.am: Use AM_MAKEINFOHTMLFLAGS (with CVS automake)
	instead of explicit libidn.html target.

2003-11-09  Simon Josefsson <simon@josefsson.org>

	* doc/Makefile.am: Update DocBook HTML destinations.

2003-11-09  Simon Josefsson <simon@josefsson.org>

	* doc/Makefile.am: Remove unused ps_TEXINFOS and pdf_TEXINFOS.

2003-11-09  Simon Josefsson <simon@josefsson.org>

	* doc/Makefile.am: Remove example source code to texinfo conversion
	(@verbatiminclude is used directly on the source code instead).

2003-11-09  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Use @verbatiminclude for examples.

2003-11-09  Simon Josefsson <simon@josefsson.org>

	* examples/Makefile.am, src/Makefile.am, tests/Makefile.am: Use
	*_CPPFLAGS instead of obsolete INCLUDES.

2003-11-09  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Replace AM_CONFIG_HEADER with AC_CONFIG_HEADERS.

2003-11-09  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Autoupdate suggested changes: quote AC_INIT
	parameters, and replace AC_TRY_RUN with AC_RUN_IFELSE.

2003-11-09  Simon Josefsson <simon@josefsson.org>

	* src/Makefile.am: Use automake 1.7a idiom for elisp files.

2003-11-09  Simon Josefsson <simon@josefsson.org>

	* Makefile.am, configure.ac, m4/Makefile.am: Remove m4/ as it is
	not needed with automake 1.7a.

2003-11-09  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac: Bump versions.

2003-11-09  Simon Josefsson <simon@josefsson.org>

	* Makefile.maint: Use proper -o directory for gendocs.sh.

2003-11-09  Simon Josefsson <simon@josefsson.org>

	* .prev-version: [no log message]

2003-11-09  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 0.3.4.

2003-11-09  Simon Josefsson <simon@josefsson.org>

	* lib/idna.c, lib/stringprep.c: Fix memory leak.

2003-11-07  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Remove libtool bug workaround.

2003-11-02  Simon Josefsson <simon@josefsson.org>

	* doc/gendocs.sh: Mkdir HTML.

2003-11-02  Simon Josefsson <simon@josefsson.org>

	* doc/reference/Makefile.am: Cleanup.

2003-11-02  Simon Josefsson <simon@josefsson.org>

	* m4/Makefile.am: Dist gtk-doc.m4.

2003-11-01  Simon Josefsson <simon@josefsson.org>

	* AUTHORS: Update expiry date on PGP key.

2003-11-01  Simon Josefsson <simon@josefsson.org>

	* doc/reference/libidn-docs.sgml, doc/reference/libidn-docs.tmpl:
	Rename.

2003-11-01  Simon Josefsson <simon@josefsson.org>

	* doc/reference/Makefile.am: Use my old cleaned up Makefile.

2003-11-01  Simon Josefsson <simon@josefsson.org>

	* doc/reference/Makefile.am: Don't break on first 'make'.

2003-11-01  Simon Josefsson <simon@josefsson.org>

	* doc/reference/Makefile.am: Make 'dist' work.

2003-11-01  Simon Josefsson <simon@josefsson.org>

	* doc/reference/libidn-docs.sgml: Add.

2003-11-01  Simon Josefsson <simon@josefsson.org>

	* doc/reference/Makefile.am: Add, based on GTK-DOC example
	Makefile.am.

2003-11-01  Simon Josefsson <simon@josefsson.org>

	* doc/Makefile.am: Add reference/.

2003-11-01  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Remove GTK-DOC subdir reference/ (moved to doc/).

2003-11-01  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Build GTK-DOC Makefile in doc/reference instead of
	reference/.

2003-11-01  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Use GTK_DOC_CHECK macro for gtk-doc checks.

2003-11-01  Simon Josefsson <simon@josefsson.org>

	* m4/gtk-doc.m4: Add.

2003-11-01  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Use GTK-DOC conditional.

2003-11-01  Simon Josefsson <simon@josefsson.org>

	* doc/Makefile.gdoci: Rebuild Makefile after rebuilding
	Makefile.gdoc.

2003-11-01  Simon Josefsson <simon@josefsson.org>

	* doc/Makefile.am: Set GDOC_MAN_EXTRA_ARGS.

2003-11-01  Simon Josefsson <simon@josefsson.org>

	* doc/Makefile.gdoci: Add GDOC_TEXI_EXTRA_ARGS,
	GDOC_MAN_EXTRA_ARGS.

2003-11-01  Simon Josefsson <simon@josefsson.org>

	* doc/Makefile.am: GDOC framework cleanup.

2003-11-01  Simon Josefsson <simon@josefsson.org>

	* doc/Makefile.gdoci: Create texinfo for whole sources files too.

2003-11-01  Simon Josefsson <simon@josefsson.org>

	* doc/Makefile.gdoci: Add -man parameters (move to Makefile.am?).

2003-11-01  Simon Josefsson <simon@josefsson.org>

	* doc/Makefile.gdoci: Mark Makefile.gdoc as BUILT_SOURCES.

2003-11-01  Simon Josefsson <simon@josefsson.org>

	* doc/Makefile.gdoci:
	(Makefile.gdoc): Depend on ../configure for bootstrapping.

2003-11-01  Simon Josefsson <simon@josefsson.org>

	* doc/Makefile.gdoci: Mkdir.

2003-11-01  Simon Josefsson <simon@josefsson.org>

	* doc/Makefile.am: Update docbook HTMLs.

2003-11-01  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Use gdoc @include's.

2003-11-01  Simon Josefsson <simon@josefsson.org>

	* doc/Makefile.am: Don't build in man/.  Build idn.1 man page here.
	Move man page dist targets from man/.  Use Makefile.gdoci to
	generate man pages and texinfo.

2003-11-01  Simon Josefsson <simon@josefsson.org>

	* doc/Makefile.gdoci: Add, initial version.

2003-11-01  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Don't generate doc/man/Makefile.

2003-10-31  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Move unicode utility functions from stringprep
	to own chapter.  Replace API documentation with @include'd GDOC
	generated version.

2003-10-31  Simon Josefsson <simon@josefsson.org>

	* doc/Makefile.am: Generate more API manuals with gdoc.  Replace
	phony libidn-db.html with real targets.  Update libidn-db.html
	files.

2003-10-31  Simon Josefsson <simon@josefsson.org>

	* doc/gdoc: Don't use @code for @deftypefun function name.

2003-10-31  Simon Josefsson <simon@josefsson.org>

	* lib/punycode.c:
	(punycode_encode): Rename parameter to match punycode.h (and more
	importantly, to make gdoc function properly).

2003-10-31  Simon Josefsson <simon@josefsson.org>

	* lib/nfkc.c: Doc fixes.

2003-10-31  Simon Josefsson <simon@josefsson.org>

	* doc/gdoc:
	(dump_function): Handle parameters that look like 'char *foo[]'.

2003-10-31  Simon Josefsson <simon@josefsson.org>

	* doc/Makefile.am: Fix rule expansions.

2003-10-31  Simon Josefsson <simon@josefsson.org>

	* doc/Makefile.am: Dist gdoc and generated API texi's.  Generate
	API doc.  Fix dependencies.

2003-10-31  Simon Josefsson <simon@josefsson.org>

	* doc/gdoc: Sync from GSSLib.

2003-10-31  Simon Josefsson <simon@josefsson.org>

	* README-alpha: Mention more tools.

2003-10-31  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2003-10-31  Simon Josefsson <simon@josefsson.org>

	* Makefile.maint: Fix doc generating commands.

2003-10-31  Simon Josefsson <simon@josefsson.org>

	* doc/gendocs.sh: Fix HTML dir move.

2003-10-31  Simon Josefsson <simon@josefsson.org>

	* doc/gendocs.sh: Fix outdir rm.

2003-10-31  Simon Josefsson <simon@josefsson.org>

	* doc/gendocs.sh: Fix outdir rm.

2003-10-31  Simon Josefsson <simon@josefsson.org>

	* doc/gendocs.sh: Don't remove $outdir (might contain CVS/).

2003-10-31  Simon Josefsson <simon@josefsson.org>

	* doc/gendocs.sh, doc/gendocs_template: TAR fixes.  Add
	DocBook/Doxygen/GTK-DOC.

2003-10-31  Simon Josefsson <simon@josefsson.org>

	* doc/gendocs.sh, doc/gendocs_template: Add (taken from Texinfo
	CVS).

2003-10-31  Simon Josefsson <simon@josefsson.org>

	* doc/Makefile.am: Add docbook targets.

2003-10-31  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Look for docbook tools.

2003-10-29  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Dist libc/getaddrinfo-idn.txt.

2003-10-29  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Add AC_CONFIG_AUX_DIR(.) for broken CVS libtoolize.

2003-10-24  Simon Josefsson <simon@josefsson.org>

	* THANKS: Fix.

2003-10-19  Simon Josefsson <simon@josefsson.org>

	* lib/gen-stringprep-tables.pl: Add warning in comment.

2003-10-19  Simon Josefsson <simon@josefsson.org>

	* libc/getaddrinfo-idn.txt: Character set fixes.

2003-10-19  Simon Josefsson <simon@josefsson.org>

	* libc/getaddrinfo-idn.txt: Fix.

2003-10-19  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac: Bump versions.

2003-10-19  Simon Josefsson <simon@josefsson.org>

	* lib/stringprep.c: Add comment.

2003-10-18  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Fix.

2003-10-18  Simon Josefsson <simon@josefsson.org>

	* .prev-version: [no log message]

2003-10-18  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 0.3.3.

2003-10-18  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2003-10-18  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2003-10-18  Simon Josefsson <simon@josefsson.org>

	* src/Makefile.am: Revert to old elisp automake idiom.

2003-10-18  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2003-10-18  Simon Josefsson <simon@josefsson.org>

	* lib/stringprep.h.in: (struct Stringprep_table, struct
	Stringprep_profiles): Use 'const'.
	(stringprep_4i, stringprep_4zi, stringprep, stringprep_profile):
	Likewise.

2003-10-18  Simon Josefsson <simon@josefsson.org>

	* lib/stringprep.c:
	(stringprep_find_character_in_table): Mark parameter as 'const'.
	(stringprep_find_string_in_table): Likewise.
	(stringprep_apply_table_to_string): Likewise.
	(stringprep_4i, stringprep_4zi_1, stringprep_4zi, stringprep):
	Likewise.

2003-10-18  Simon Josefsson <simon@josefsson.org>

	* lib/stringprep.c:
	(stringprep_profile): Fix warning.

2003-10-18  Simon Josefsson <simon@josefsson.org>

	* tests/tst_idna.c, tests/tst_punycode.c: Fix warnings.

2003-10-18  Simon Josefsson <simon@josefsson.org>

	* tests/tst_nfkc.c, tests/tst_punycode.c, tests/tst_stringprep.c,
	tests/tst_idna.c, tests/tst_idna2.c: Indent.

2003-10-18  Simon Josefsson <simon@josefsson.org>

	* lib/stringprep.c: Remove stringprep_generic documentation.

2003-10-18  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Remove stringprep_generic.

2003-10-18  Simon Josefsson <simon@josefsson.org>

	* lib/gen-stringprep-tables.pl: Mark table elements as 'const'.

2003-10-18  Simon Josefsson <simon@josefsson.org>

	* lib/stringprep.c:
	(stringprep_apply_table_to_string): Remove 'name' parameter.
	(stringprep_4i): Likewise.

2003-10-18  Simon Josefsson <simon@josefsson.org>

	* lib/profiles.c:
	(stringprep_profiles): Remove "generic".  Indent.

2003-10-18  Simon Josefsson <simon@josefsson.org>

	* lib/stringprep.h.in: (struct Stringprep_table): Remove 'name'.
	(stringprep_profiles, stringprep_rfc3454_A_1,stringprep_rfc3454_B_1)
	(stringprep_rfc3454_B_2, stringprep_rfc3454_B_3)
	(stringprep_rfc3454_C_1_1, stringprep_rfc3454_C_1_2)
	(stringprep_rfc3454_C_2_1, stringprep_rfc3454_C_2_2)
	(stringprep_rfc3454_C_3, stringprep_rfc3454_C_4)
	(stringprep_rfc3454_C_5, stringprep_rfc3454_C_6)
	(stringprep_rfc3454_C_7, stringprep_rfc3454_C_8)
	(stringprep_rfc3454_C_9, stringprep_rfc3454_D_1)
	(stringprep_rfc3454_D_2)
	(stringprep_nameprep)
	(stringprep_saslprep, stringprep_plain,stringprep_trace)
	(stringprep_kerberos5)
	(stringprep_xmpp_nodeprep, stringprep_xmpp_resourceprep)
	(stringprep_xmpp_nodeprep_prohibit)
	(stringprep_iscsi): Mark as 'const'.
	(stringprep_generic, stringprep_generic): Remove.

2003-10-17  Simon Josefsson <simon@josefsson.org>

	* lib/punycode.h, lib/stringprep.h.in, tests/tst_stringprep.c:
	Indent.

2003-10-17  Simon Josefsson <simon@josefsson.org>

	* lib/stringprep.c: Fix memory leak.

2003-10-17  Simon Josefsson <simon@josefsson.org>

	* doc/gdoc: Fix #include for man pages.

2003-10-17  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Fix.

2003-10-17  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Sync 'idn -h'.

2003-10-17  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Fix.

2003-10-17  Simon Josefsson <simon@josefsson.org>

	* lib/gen-stringprep-tables.pl, lib/idna.c, lib/nfkc.c,
	lib/profiles.c, lib/punycode.c, lib/stringprep.c, lib/toutf8.c,
	lib/version.c, src/idn.c, tests/tst_idna.c, tests/tst_idna2.c,
	tests/tst_nfkc.c, tests/tst_stringprep.c: Include cleanup.  We
	assume C89, use <...> for headers we use, and use "..." for headers
	we implement.

2003-10-16  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Add.

2003-10-16  Simon Josefsson <simon@josefsson.org>

	* src/Makefile.am: Fix gengetopt building.

2003-10-16  Simon Josefsson <simon@josefsson.org>

	* THANKS: Add.

2003-10-16  Simon Josefsson <simon@josefsson.org>

	* src/idn.ggo.in: Use less negations for --quiet, reported by Oden
	Eriksson <oden.eriksson@kvikkjokk.net>.

2003-10-16  Simon Josefsson <simon@josefsson.org>

	* src/Makefile.am: Fix gengetopt built source files.  Use new
	automake Emacs Lisp targets.

2003-10-16  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Use current version number in examples.

2003-10-16  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Update so version.

2003-10-16  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2003-10-16  Simon Josefsson <simon@josefsson.org>

	* lib/punycode.h: Include parameter names in prototypes, for
	GTK-DOC.

2003-10-16  Simon Josefsson <simon@josefsson.org>

	* lib/stringprep.c: Doc fix.

2003-10-16  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Fix typo.

2003-10-16  Simon Josefsson <simon@josefsson.org>

	* tests/tst_punycode.c, tests/tst_idna.c: Fix.

2003-10-16  Simon Josefsson <simon@josefsson.org>

	* lib/internal.h: Removed.

2003-10-16  Simon Josefsson <simon@josefsson.org>

	* tests/tst_stringprep.c, tests/tst_nfkc.c, src/idn.c: Make
	#include's explicit.

2003-10-16  Simon Josefsson <simon@josefsson.org>

	* tests/tst_idna.c, tests/tst_idna2.c, tests/tst_punycode.c: Make
	#include's explicit.  Fix warnings.

2003-10-16  Simon Josefsson <simon@josefsson.org>

	* lib/Makefile.am: Remove internal.h.

2003-10-16  Simon Josefsson <simon@josefsson.org>

	* lib/stringprep.c: Doc fix.

2003-10-16  Simon Josefsson <simon@josefsson.org>

	* lib/version.c, lib/stringprep.c: Make #include's explicit.

2003-10-16  Simon Josefsson <simon@josefsson.org>

	* lib/toutf8.c, lib/profiles.c: Make #include's explicit.

2003-10-16  Simon Josefsson <simon@josefsson.org>

	* lib/nfkc.c: Make #include's explicit.

2003-10-16  Simon Josefsson <simon@josefsson.org>

	* lib/idna.c: Fix.

2003-10-16  Simon Josefsson <simon@josefsson.org>

	* lib/idna.c: Make #include's explicit.

2003-10-16  Simon Josefsson <simon@josefsson.org>

	* lib/punycode.h: Fix typo.

2003-10-16  Simon Josefsson <simon@josefsson.org>

	* lib/punycode.c: Sync with latest draft, but change return types
	to 'int' to be backwards compatible.

2003-10-16  Simon Josefsson <simon@josefsson.org>

	* lib/punycode.h: Sync with latest draft, but change return types
	to 'int' to be backwards compatible.

2003-10-16  Simon Josefsson <simon@josefsson.org>

	* configure.ac, lib/internal.h: Remove DMALLOC stuff.

2003-10-16  Simon Josefsson <simon@josefsson.org>

	* lib/stringprep.c: Fix warnings.

2003-10-16  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Typo.

2003-10-16  Simon Josefsson <simon@josefsson.org>

	* tests/tst_stringprep.c: Simplify debug prints.

2003-10-16  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2003-10-16  Simon Josefsson <simon@josefsson.org>

	* lib/idna.c:
	(idna_to_unicode_internal): Handle reallocating larger utf8in after
	stringprep error STRINGPREP_TOO_SMALL_BUFFER.
	(idna_to_unicode_44i): Let new logic in idna_to_unicode_internal()
	replace BUFSIZ alloc.

2003-10-16  Simon Josefsson <simon@josefsson.org>

	* lib/stringprep.c:
	(stringprep_profile): Loop around stringprep return
	STRINGPREP_TOO_SMALL_BUFFER and increase buffer size.

2003-10-16  Simon Josefsson <simon@josefsson.org>

	* lib/stringprep.c:
	(stringprep): Check return value from stringprep_ucs4_to_utf8.
	Don't use goto.

2003-10-16  Simon Josefsson <simon@josefsson.org>

	* lib/stringprep.c:
	(stringprep): Loop around stringprep_4i error
	STRINGPREP_TOO_SMALL_BUFFER and increase buffer size.
	(stringprep_apply_table_to_string): Don't dereference possibly
	unallocated memory just to do pointer arithmetic.

2003-10-16  Simon Josefsson <simon@josefsson.org>

	* lib/nfkc.c: Check malloc return value.

2003-10-16  Simon Josefsson <simon@josefsson.org>

	* lib/nfkc.c: Check malloc return code.

2003-10-16  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2003-10-16  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Doc fox.  Add stringprep_4i and stringprep_4zi.

2003-10-16  Simon Josefsson <simon@josefsson.org>

	* lib/stringprep.c: Doc fix.

2003-10-16  Simon Josefsson <simon@josefsson.org>

	* lib/stringprep.c: Doc fix.

2003-10-16  Simon Josefsson <simon@josefsson.org>

	* lib/stringprep.h.in:
	(stringprep_4i, stringprep_4zi): Add.

2003-10-16  Simon Josefsson <simon@josefsson.org>

	* lib/stringprep.c:
	(stringprep1): Don't zero terminate.  Rename to stringprep_4i and
	export it.
	(stringprep_4zi_1): Add.  Calls stringprep_4i, then zero terminate.
	(stringprep_4zi): Add.  New API.
	(stringprep): Use stringprep_4zi_1.

2003-10-16  Simon Josefsson <simon@josefsson.org>

	* lib/stringprep.c: Fix typo.

2003-10-16  Simon Josefsson <simon@josefsson.org>

	* lib/stringprep.c:
	(stringprep): Split core part into stringprep1.
	(stringprep1): New, simplified version of core part.

2003-10-15  Simon Josefsson <simon@josefsson.org>

	* NEWS: Fix.

2003-10-15  Simon Josefsson <simon@josefsson.org>

	* src/idn.c: Print UCS-4 instead of UTF-8 in debug output for
	--stringprep.

2003-10-15  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2003-10-15  Simon Josefsson <simon@josefsson.org>

	* src/idn.c: Fix UCS-4 output in --stringprep.  Print debug output
	even with --idna-to-ascii.  Fix error message.

2003-10-12  Simon Josefsson <simon@josefsson.org>

	* libc/getaddrinfo-idn.txt: Clarify alternative approaches.

2003-10-12  Simon Josefsson <simon@josefsson.org>

	* libc/getaddrinfo-idn.txt: Fix.

2003-10-11  Simon Josefsson <simon@josefsson.org>

	* libc/getaddrinfo-idn.txt: Add.

2003-10-10  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Revert typo.

2003-10-10  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Fix so version comment (matches libtool manual).

2003-10-10  Simon Josefsson <simon@josefsson.org>

	* FAQ: Fix.

2003-10-10  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2003-10-10  Simon Josefsson <simon@josefsson.org>

	* src/idn.ggo.in: Remove 'generic' (should not be exposed).  Add
	'trace'.

2003-10-08  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac: Bump versions.

2003-10-08  Simon Josefsson <simon@josefsson.org>

	* Makefile.maint: Fix doxygen generation.

2003-10-07  Simon Josefsson <simon@josefsson.org>

	* .prev-version: [no log message]

2003-10-07  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 0.3.2.

2003-10-07  Simon Josefsson <simon@josefsson.org>

	* Makefile.maint: Remove --rsyncable for now, Debian (stable) gzip
	do not support it.

2003-10-07  Simon Josefsson <simon@josefsson.org>

	* GNUmakefile: TAR_OPTION crashes tar in Debian, comment out for
	now.

2003-10-07  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2003-10-07  Simon Josefsson <simon@josefsson.org>

	* lib/nfkc.c: Doc fix.

2003-10-07  Simon Josefsson <simon@josefsson.org>

	* m4/Makefile.am, m4/lib-ld.m4, m4/lib-link.m4, m4/lib-prefix.m4:
	Add.

2003-10-06  Simon Josefsson <simon@josefsson.org>

	* lib/stringprep.c, lib/stringprep.h.in:
	(stringprep_profile): Mark 'in' as 'const'.

2003-10-03  Simon Josefsson <simon@josefsson.org>

	* lib/profiles.c: Fix comment.

2003-10-02  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Fix.

2003-10-02  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2003-10-02  Simon Josefsson <simon@josefsson.org>

	* lib/profiles.c, lib/stringprep.h.in: Add trace profile (SASL
	ANONYMOS).

2003-10-02  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac: Bump versions.

2003-10-02  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Cosmetic fixes.

2003-10-02  Simon Josefsson <simon@josefsson.org>

	* Makefile.maint: Fix.

2003-10-02  Simon Josefsson <simon@josefsson.org>

	* .prev-version: [no log message]

2003-10-02  Simon Josefsson <simon@josefsson.org>

	* announce-gen: Perl 5.8.1 fix.

2003-10-02  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 0.3.1.

2003-10-02  Simon Josefsson <simon@josefsson.org>

	* lib/gen-unicode-tables.pl, lib/nfkc.c: Fix NFKC, from Noah Levitt
	<nlevitt@columbia.edu> via bugzilla.gnome.org bug 123421.

2003-09-28  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Fix.

2003-09-28  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Add.

2003-09-28  Simon Josefsson <simon@josefsson.org>

	* THANKS: Add.

2003-09-28  Simon Josefsson <simon@josefsson.org>

	* tests/tst_idna2.c: Indent.

2003-09-28  Simon Josefsson <simon@josefsson.org>

	* lib/Makefile.am: Fix.

2003-09-28  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Fix indent target.

2003-09-28  Simon Josefsson <simon@josefsson.org>

	* src/Makefile.am, tests/Makefile.am: Add indent rule.

2003-09-28  Simon Josefsson <simon@josefsson.org>

	* lib/idna.c, lib/nfkc.c, lib/punycode.h: Indent.

2003-09-28  Simon Josefsson <simon@josefsson.org>

	* lib/Makefile.am: Fix.  Add indent target.

2003-09-26  Simon Josefsson <simon@josefsson.org>

	* lib/nfkc.c: Fix Hangul patch.

2003-09-26  Simon Josefsson <simon@josefsson.org>

	* tests/tst_idna2.c: Fix typo.

2003-09-26  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2003-09-26  Simon Josefsson <simon@josefsson.org>

	* lib/Makefile.am, lib/gen-unicode-tables.pl, lib/nfkc.c: Sync with
	GLIB for Unicode stuff.

2003-09-26  Simon Josefsson <simon@josefsson.org>

	* lib/punycode.h: Fix typo.

2003-09-25  Simon Josefsson <simon@josefsson.org>

	* tests/tst_idna2.c: Update test vectors.

2003-09-25  Simon Josefsson <simon@josefsson.org>

	* src/idn.c: Fix debug messages.

2003-09-25  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2003-09-25  Simon Josefsson <simon@josefsson.org>

	* lib/idna.c:
	(DOTP): New.
	(idna_to_unicode_4z4z): Use it.
	(idna_to_ascii_4z): Use it. Make root label handling explicit.

2003-09-25  Simon Josefsson <simon@josefsson.org>

	* THANKS: Add.

2003-09-25  Simon Josefsson <simon@josefsson.org>

	* lib/nfkc.c:
	(decompose_hangul, combine_hangul): New.
	(combine, _g_utf8_normalize_wc): Use them.  Adds support for
	algorithmic composition of Hangul Syllables, adapted from a patch
	written by Noah Levitt <nlevitt@columbia.edu> for GLIB, discussed in
	<http://bugzilla.gnome.org/show_bug.cgi?id=100456> and available
	from <http://bugzilla.gnome.org/showattachment.cgi?attach_id=18915>.

2003-09-25  Simon Josefsson <simon@josefsson.org>

	* tests/tst_idna2.c: Fix.

2003-09-25  Simon Josefsson <simon@josefsson.org>

	* tests/Makefile.am, tests/tst_idna2.c: Add.

2003-09-25  Simon Josefsson <simon@josefsson.org>

	* lib/idna.c:
	(idna_to_ascii_4z): Output "" instead of "." on input "".  (Some
	religions claim "" should fail though.)

2003-09-23  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2003-09-23  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Doc fix.

2003-09-23  Simon Josefsson <simon@josefsson.org>

	* src/punycode.el:
	(punycode-shutdown): New.

2003-09-23  Simon Josefsson <simon@josefsson.org>

	* src/idna.el:
	(idna-to-ascii-parameters, idna-to-unicode-parameters): Add
	--usestd3asciirules.
	(idna-shutdown): New.

2003-09-23  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac: Bump versions.

2003-09-23  Simon Josefsson <simon@josefsson.org>

	* Makefile.maint: Fix.

2003-09-23  Simon Josefsson <simon@josefsson.org>

	* Makefile.maint: Fix.

2003-09-23  Simon Josefsson <simon@josefsson.org>

	* .prev-version: [no log message]

2003-09-23  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 0.3.0.

2003-09-23  Simon Josefsson <simon@josefsson.org>

	* libc/README: Fix.

2003-09-23  Simon Josefsson <simon@josefsson.org>

	* libc/README: Fix.

2003-09-23  Simon Josefsson <simon@josefsson.org>

	* libc/Makefile: Fix.

2003-09-22  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2003-09-22  Simon Josefsson <simon@josefsson.org>

	* lib/profiles.c:
	(stringprep_saslprep): Prohibit inappropriate for canonical
	representation characters.

2003-09-14  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Dist libc/Banner.

2003-09-14  Simon Josefsson <simon@josefsson.org>

	* libc/README: Create idna.h without dependency on idn-int.h.

2003-09-14  Simon Josefsson <simon@josefsson.org>

	* tests/tst_stringprep.c: Fix memory leak.

2003-09-14  Simon Josefsson <simon@josefsson.org>

	* src/idn.c: Fix memory leaks.

2003-09-14  Simon Josefsson <simon@josefsson.org>

	* src/idn.c: Fix greeting message.

2003-09-14  Simon Josefsson <simon@josefsson.org>

	* libc/README: Copy Banner.

2003-09-14  Simon Josefsson <simon@josefsson.org>

	* libc/Banner: Add.

2003-09-13  Simon Josefsson <simon@josefsson.org>

	* libc/README: Fix.

2003-09-13  Simon Josefsson <simon@josefsson.org>

	* lib/punycode.c: Cast.

2003-09-13  Simon Josefsson <simon@josefsson.org>

	* lib/internal.h: Fix.

2003-09-13  Simon Josefsson <simon@josefsson.org>

	* lib/internal.h: Simplify #include mess.

2003-09-13  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Remove cruft.

2003-09-13  Simon Josefsson <simon@josefsson.org>

	* libc/README: Fix.

2003-09-13  Simon Josefsson <simon@josefsson.org>

	* lib/punycode.c, lib/stringprep.c: Doc fix.

2003-09-13  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi, lib/stringprep.c: Doc fix.

2003-09-13  Simon Josefsson <simon@josefsson.org>

	* lib/idna.c: Doc fix.

2003-09-13  Simon Josefsson <simon@josefsson.org>

	* lib/idna.c: Doc fix.

2003-09-13  Simon Josefsson <simon@josefsson.org>

	* lib/stringprep.c: Doc fix.

2003-09-13  Simon Josefsson <simon@josefsson.org>

	* lib/punycode.c: Doc fix.

2003-09-12  Simon Josefsson <simon@josefsson.org>

	* lib/punycode.h: Fix RFC compatibility.

2003-09-12  Simon Josefsson <simon@josefsson.org>

	* lib/punycode.h: Typedef Punycode_status.  Use 'int' instead of
	'enum' for return codes.

2003-09-12  Simon Josefsson <simon@josefsson.org>

	* lib/punycode.c: Use 'int' instead of 'enum' for return code.

2003-09-12  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Bump versions.

2003-09-12  Simon Josefsson <simon@josefsson.org>

	* lib/profiles.c, lib/stringprep.h.in: Rename stringprep_generic_*
	to stringprep_rfc3454_*.

2003-09-12  Simon Josefsson <simon@josefsson.org>

	* lib/Makefile.am: Rename stringprep_generic.c to rfc3454.c.  Add
	to BUILT_SOURCES.

2003-09-12  Simon Josefsson <simon@josefsson.org>

	* lib/gen-stringprep-tables.pl: Write to rfc3454.c.  Rename
	variables to stringprep_rfc3454_* from stringprep_generic_*.

2003-09-12  Simon Josefsson <simon@josefsson.org>

	* lib/punycode.c: Doc fix.

2003-09-12  Simon Josefsson <simon@josefsson.org>

	* lib/idna.c: Fix.

2003-09-12  Simon Josefsson <simon@josefsson.org>

	* lib/idna.c, lib/stringprep.c: Doc fix.

2003-09-12  Simon Josefsson <simon@josefsson.org>

	* lib/stringprep.h.in: Indent.

2003-09-12  Simon Josefsson <simon@josefsson.org>

	* lib/stringprep.c: Use 'int' instead of 'enum's.

2003-09-12  Simon Josefsson <simon@josefsson.org>

	* lib/stringprep.h.in: Typedef Stringprep_rc,
	Stringprep_profile_flags, and Stringprep_profile_steps.  Use 'int'
	instead of 'enum's (i.e., revert 0.2.3 changes).

2003-09-12  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2003-09-12  Simon Josefsson <simon@josefsson.org>

	* lib/Makefile.am, lib/obsolete.c: Remove obsolete.c.

2003-09-12  Simon Josefsson <simon@josefsson.org>

	* lib/idna.h, lib/Makefile.am, lib/stringprep_generic.h,
	lib/stringprep_iscsi.h, lib/stringprep_kerberos5.h,
	lib/stringprep_nameprep.h, lib/stringprep_plain.h,
	lib/stringprep_xmpp.h: Remove obsolete headers.

2003-09-12  Simon Josefsson <simon@josefsson.org>

	* lib/idna.c, lib/obsolete.c: Use int instead of enum's.

2003-09-12  Simon Josefsson <simon@josefsson.org>

	* lib/idna.h: Typedef Idna_rc and Idna_flags.  Use int instead of
	enum's.

2003-09-12  Simon Josefsson <simon@josefsson.org>

	* libc/README: Workaround -I problem.

2003-09-12  Simon Josefsson <simon@josefsson.org>

	* libc/libc.patch: Against glibc 2.3.2.

2003-09-12  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2003-09-12  Simon Josefsson <simon@josefsson.org>

	* m4/Makefile.am, m4/memset.m4, m4/onceonly_2_57.m4, m4/strdup.m4:
	Remove unused m4's.

2003-09-12  Simon Josefsson <simon@josefsson.org>

	* src/getopt.c, src/getopt.h, src/getopt1.c: Add (from gl/).

2003-09-12  Simon Josefsson <simon@josefsson.org>

	* lib/idna.c, lib/toutf8.c: Don't use strdup.

2003-09-12  Simon Josefsson <simon@josefsson.org>

	* src/Makefile.am, gl/Makefile.am, gl/getopt.c, gl/getopt.h,
	gl/getopt1.c, gl/memset.c, gl/strdup.c, gl/m4/Makefile.am,
	gl/m4/memset.m4, gl/m4/onceonly_2_57.m4, gl/m4/strdup.m4,
	Makefile.am: Remove gl/.

2003-09-12  Simon Josefsson <simon@josefsson.org>

	* tests/Makefile.am: Fix.

2003-09-12  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Remove checks for memset and strdup; we assume C89,
	so memset exists, and we no longer use strdup.  Remove gl/.

2003-09-12  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Ported to Mac OS X / Darwin.

2003-09-12  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am: Use libtool.

2003-09-12  Simon Josefsson <simon@josefsson.org>

	* src/Makefile.am, tests/Makefile.am, examples/Makefile.am: Make
	LDADD libtool friendly.

2003-09-12  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2003-09-12  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac, doc/Makefile.am, doc/gdoc: Build man pages.

2003-09-12  Simon Josefsson <simon@josefsson.org>

	* idna-ace-prefix.txt: Move.

2003-09-12  Simon Josefsson <simon@josefsson.org>

	* libc/README: Fix.

2003-09-12  Simon Josefsson <simon@josefsson.org>

	* THANKS: Add.

2003-09-12  Simon Josefsson <simon@josefsson.org>

	* libc/Versions: Typo.

2003-09-12  Simon Josefsson <simon@josefsson.org>

	* lib/internal.h: [_LIBC]: Define ICONV_CONST.

2003-09-12  Simon Josefsson <simon@josefsson.org>

	* libc/getaddrinfo.c: Use modern API.

2003-09-12  Simon Josefsson <simon@josefsson.org>

	* libc/Versions: Export modern API.

2003-09-12  Simon Josefsson <simon@josefsson.org>

	* libc/README: Update.

2003-09-12  Simon Josefsson <simon@josefsson.org>

	* libc/getaddrinfo.c: GLIBC 2.3.2 sync.

2003-09-02  Simon Josefsson <simon@josefsson.org>

	* libc/getaddrinfo.c, libc/libc.patch: Revert.

2003-08-26  Simon Josefsson <simon@josefsson.org>

	* AUTHORS: Update key.

2003-08-26  Simon Josefsson <simon@josefsson.org>

	* examples/Makefile.am, examples/README: Add examples/README.

2003-08-26  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Fix cvs2cl parameters.

2003-08-26  Simon Josefsson <simon@josefsson.org>

	* Makefile.am, gl/Makefile.am, lib/Makefile.am: Use $() instead of
	@@.

2003-08-26  Simon Josefsson <simon@josefsson.org>

	* Makefile.maint: Do some tests that work.

2003-08-26  Simon Josefsson <simon@josefsson.org>

	* Makefile.cfg: Fix URL.

2003-08-26  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac: Bump versions.

2003-08-26  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Fix cvs2cl parameters.

2003-08-26  Simon Josefsson <simon@josefsson.org>

	* Makefile.maint: Ignore errors on www update.

2003-08-26  Simon Josefsson <simon@josefsson.org>

	* .prev-version: [no log message]

2003-08-26  Simon Josefsson <simon@josefsson.org>

	* announce-gen: Revert.

2003-08-26  Simon Josefsson <simon@josefsson.org>

	* Makefile.maint: Fix.

2003-08-26  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 0.2.3.

2003-08-26  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Replace release target with Makefile.maint etc.

2003-08-26  Simon Josefsson <simon@josefsson.org>

	* .prev-version, GNUmakefile, Makefile.cfg, Makefile.maint,
	announce-gen: Add.

2003-08-25  Simon Josefsson <simon@josefsson.org>

	* examples/example3.c: Doc fix.

2003-08-25  Simon Josefsson <simon@josefsson.org>

	* THANKS, NEWS: Add.

2003-08-25  Simon Josefsson <simon@josefsson.org>

	* examples/example4.c: Really call ToUnicode instead of ToASCII.
	Reported by Trond Haugen <trond.haugen@uninett.no>.

2003-08-21  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Add port.

2003-08-21  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am: Dist getopt.h.

2003-08-21  Simon Josefsson <simon@josefsson.org>

	* src/Makefile.am: Link with gl stuff.

2003-08-20  Simon Josefsson <simon@josefsson.org>

	* lib/toutf8.c: Fix warning message.

2003-08-20  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Group portability stuff together.

2003-08-20  Simon Josefsson <simon@josefsson.org>

	* src/Makefile.am, tests/Makefile.am: Fix -I paths.

2003-08-20  Simon Josefsson <simon@josefsson.org>

	* lib/Makefile.am: Distcheck fixes.

2003-08-20  Simon Josefsson <simon@josefsson.org>

	* examples/Makefile.am: Fix paths.

2003-08-20  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Fix directory build order, for gtk-doc.

2003-08-20  Simon Josefsson <simon@josefsson.org>

	* lib/Makefile.am, lib/idna.c, lib/obsolete.c: Move obsolete
	functions into separate file.

2003-08-20  Simon Josefsson <simon@josefsson.org>

	* lib/Makefile.am: Fixes.

2003-08-20  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Build doc after src, for help2man on idn.

2003-08-20  Simon Josefsson <simon@josefsson.org>

	* lib/Makefile.am: Add EXTRA_DISTs.

2003-08-20  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Add gl, lib, src, tests and examples to SUBDIRS.
	Add gl/m4 to ACLOCAL_AMFLAGS.  Remove rules that are moved into
	lib/, src/, tests/ and examples/.

2003-08-20  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Split up files into sub-directories.

2003-08-20  Simon Josefsson <simon@josefsson.org>

	* gdoc: Move gdoc to doc/.

2003-08-20  Simon Josefsson <simon@josefsson.org>

	* CaseFolding-3.2.0.txt, CompositionExclusions-3.2.0.txt,
	LineBreak-3.2.0.txt, SpecialCasing-3.2.0.txt, rfc3454.txt,
	rfc3490.txt, rfc3491.txt, rfc3492.txt, UnicodeData-3.2.0.txt,
	doc/Makefile.am, doc/gdoc: Move documentation and specifications
	into doc/ and doc/specifications/.

2003-08-20  Simon Josefsson <simon@josefsson.org>

	* getopt.c, getopt.h, getopt1.c, memset.c, strdup.c,
	gl/Makefile.am, gl/getopt.c, gl/getopt.h, gl/getopt1.c,
	gl/memset.c, gl/strdup.c, gl/m4/Makefile.am, gl/m4/memset.m4,
	gl/m4/onceonly_2_57.m4, gl/m4/strdup.m4: Move portability utilities
	into gl/.

2003-08-20  Simon Josefsson <simon@josefsson.org>

	* gen-stringprep-tables.pl, gen-unicode-tables.pl, idna.c, idna.h,
	internal.h, nfkc.c, profiles.c, punycode.c, punycode.h,
	stringprep.c, stringprep.h.in, stringprep_generic.h,
	stringprep_iscsi.h, stringprep_kerberos5.h, stringprep_nameprep.h,
	stringprep_plain.h, stringprep_xmpp.h, toutf8.c, version.c,
	lib/Makefile.am, lib/gen-stringprep-tables.pl,
	lib/gen-unicode-tables.pl, lib/idna.c, lib/idna.h, lib/internal.h,
	lib/nfkc.c, lib/profiles.c, lib/punycode.c, lib/punycode.h,
	lib/stringprep.c, lib/stringprep.h.in, lib/stringprep_generic.h,
	lib/stringprep_iscsi.h, lib/stringprep_kerberos5.h,
	lib/stringprep_nameprep.h, lib/stringprep_plain.h,
	lib/stringprep_xmpp.h, lib/toutf8.c, lib/version.c: Move library
	into lib/.

2003-08-20  Simon Josefsson <simon@josefsson.org>

	* tst_idna.c, tst_nfkc.c, tst_punycode.c, tst_stringprep.c,
	tests/Makefile.am, tests/tst_idna.c, tests/tst_nfkc.c,
	tests/tst_punycode.c, tests/tst_stringprep.c: Move tests into
	tests/.

2003-08-20  Simon Josefsson <simon@josefsson.org>

	* idn.c, idn.ggo.in, idna.el, punycode.el, src/Makefile.am,
	src/idn.c, src/idn.ggo.in, src/idna.el, src/punycode.el: Move
	applications into src/.

2003-08-20  Simon Josefsson <simon@josefsson.org>

	* example.c, example2.c, example3.c, example4.c,
	examples/Makefile.am, examples/example.c, examples/example2.c,
	examples/example3.c, examples/example4.c: Move examples into
	examples/.

2003-08-13  Simon Josefsson <simon@josefsson.org>

	* TODO: Add.

2003-08-13  Simon Josefsson <simon@josefsson.org>

	* nfkc.c: Fix doc.

2003-08-13  Simon Josefsson <simon@josefsson.org>

	* tst_idna.c: Remove unused function.

2003-08-13  Simon Josefsson <simon@josefsson.org>

	* idn.c: Fix warnings.

2003-08-13  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Bump versions.

2003-08-13  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi, NEWS: Add.

2003-08-13  Simon Josefsson <simon@josefsson.org>

	* idna.h, idna.c: Use enum types where appropriate.

2003-08-13  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Doc fixes.

2003-08-13  Simon Josefsson <simon@josefsson.org>

	* stringprep.h.in: Fix.

2003-08-13  Simon Josefsson <simon@josefsson.org>

	* stringprep.c: Use enum/size_t/ssize_t where appropriate.  Doc
	fix.

2003-08-13  Simon Josefsson <simon@josefsson.org>

	* stringprep.h.in: Replace int with proper enum, where appropriate.

2003-08-13  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Typo.

2003-08-13  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Add FreeBSD 4.8.

2003-08-13  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 0.2.2.

2003-08-13  Simon Josefsson <simon@josefsson.org>

	* NEWS: Fix.

2003-08-13  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Fix release target.

2003-08-13  Simon Josefsson <simon@josefsson.org>

	* NEWS, TODO: Add.

2003-08-13  Simon Josefsson <simon@josefsson.org>

	* punycode.c: Typo.

2003-08-13  Simon Josefsson <simon@josefsson.org>

	* punycode.h: Indent.

2003-08-13  Simon Josefsson <simon@josefsson.org>

	* punycode.h: Revert to RFC code: use punycode_status.

2003-08-13  Simon Josefsson <simon@josefsson.org>

	* punycode.c: Revert to RFC code: use punycode_uint and enum
	punycode_status.  However, we do continue to use size_t to promote
	use of sizeof() by application writers.  We return
	punycode_bad_input if a size_t value exceeds the largest
	punycode_uint, since the code presumably cannot handle that.  If
	size_t is smaller than punycode_uint, it seems unlikely that an
	application could be able to pass a string that is longer than
	SIZE_MAX anyway, but should it happen the worst that occur is that
	the punycode code will only see the beginning of the string, which
	isn't unreasonable on a platform with a small SIZE_MAX.

2003-08-13  Simon Josefsson <simon@josefsson.org>

	* punycode.h: Define and use punycode_uint.

2003-08-08  Simon Josefsson <simon@josefsson.org>

	* toutf8.c:
	(stringprep_locale_charset): Improve docstring.

2003-07-31  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Replace gnudist with gnuftp.

2003-07-31  Simon Josefsson <simon@josefsson.org>

	* THANKS, NEWS: Add.

2003-07-31  Simon Josefsson <simon@josefsson.org>

	* idn.c: Encode -u output in locale charset, suggested by Adam M.
	Costello.

2003-07-11  Simon Josefsson <simon@josefsson.org>

	* memset.c: Rewrite to get LGPL code.

2003-07-11  Simon Josefsson <simon@josefsson.org>

	* strdup.c: Revert, to get LGPL code.

2003-07-11  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Install but don't distribute idn-int.h.

2003-07-11  Simon Josefsson <simon@josefsson.org>

	* m4/Makefile.am, Makefile.am, configure.ac: Dist m4's.

2003-07-11  Simon Josefsson <simon@josefsson.org>

	* configure.ac, Makefile.am, strdup.c, m4/memset.m4,
	m4/onceonly_2_57.m4, m4/strdup.m4: Replace AC_REPLACE_OBJ with
	gnulib.

2003-07-11  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Bump versions.

2003-07-11  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2003-07-11  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Use BUILT_SOURCES for idn_cmd.* and idn-int.h, and
	don't include idn-int.h in the distribution.

2003-07-08  Simon Josefsson <simon@josefsson.org>

	* THANKS: Add.

2003-07-08  Simon Josefsson <simon@josefsson.org>

	* m4/ax_create_stdint_h.m4: Look in sys/types.h too, for cygwin.

2003-07-06  Simon Josefsson <simon@josefsson.org>

	* ANNOUNCE, doc/libidn.texi: Don't use () when talking about the
	name of a function.

2003-07-04  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 0.2.1.

2003-07-04  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Create idn_cmd.* in srcdir.

2003-07-04  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2003-07-04  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Bump versions.

2003-07-04  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2003-07-04  Simon Josefsson <simon@josefsson.org>

	* idna.c: Fix last commit.

2003-07-04  Simon Josefsson <simon@josefsson.org>

	* THANKS: Add.

2003-07-04  Simon Josefsson <simon@josefsson.org>

	* idna.c: Handle empty labels, tiny patch based on suggestion by
	Marcos Sanz/Denic <sanz@denic.de>.

2003-07-02  Simon Josefsson <simon@josefsson.org>

	* THANKS: Add.

2003-07-02  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Ignore .cvs*.

2003-07-02  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Add legal information to ChangeLog.

2003-07-02  Simon Josefsson <simon@josefsson.org>

	* THANKS: Add.

2003-07-02  Simon Josefsson <simon@josefsson.org>

	* toutf8.c, tst_punycode.c: Indent.

2003-07-02  Simon Josefsson <simon@josefsson.org>

	* toutf8.c:
	(stringprep_convert): Use ICONV_CONST.  Tiny patch suggested by
	Robert Norris <rob@cataclysm.cx>.

2003-06-24  Simon Josefsson <simon@josefsson.org>

	* README-alpha: Gengetopt 2.10 or later is required.

2003-06-24  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Don't distclean idn_cmd.*, just maintainer-clean
	them.

2003-06-19  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 0.2.0.

2003-06-19  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Distclean idn-int.h (really!).

2003-06-19  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Install and distclean idn-int.h properly.

2003-06-19  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Distclean idn-int.h.

2003-06-19  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Remove idn-int.h.

2003-06-19  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Add woody armv4l.

2003-06-19  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Bump so version.

2003-06-19  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Tested on debian-sparc64.

2003-06-19  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Build e.g. idn before doc/idn.1 is built.

2003-06-19  Simon Josefsson <simon@josefsson.org>

	* punycode.c, punycode.h, doc/libidn.texi: GTK-DOC doesn't like
	enum return types.

2003-06-19  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2003-06-19  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Copy manual from right place.

2003-06-19  Simon Josefsson <simon@josefsson.org>

	* THANKS: Add.

2003-06-19  Simon Josefsson <simon@josefsson.org>

	* Makefile.am, tst_oidna.c: Remove obsolete test (we break
	backwards compatibility).

2003-06-19  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Fix.

2003-06-18  Simon Josefsson <simon@josefsson.org>

	* idn.c, idna.c, nfkc.c, profiles.c, stringprep.c, toutf8.c,
	tst_idna.c, tst_oidna.c, tst_stringprep.c: Indent.

2003-06-18  Simon Josefsson <simon@josefsson.org>

	* tst_punycode.c: Fix typo.

2003-06-18  Simon Josefsson <simon@josefsson.org>

	* tst_punycode.c: Use uint32_t instead of unsigned long.

2003-06-18  Simon Josefsson <simon@josefsson.org>

	* idn.c: Fix typo.

2003-06-18  Simon Josefsson <simon@josefsson.org>

	* Makefile.am, tst_opunycode.c, tst_ostringprep.c: Not needed (new
	API backwards compatible).

2003-06-18  Simon Josefsson <simon@josefsson.org>

	* tst_stringprep.c: Use uint32_t instead of unsigned long.

2003-06-18  Simon Josefsson <simon@josefsson.org>

	* NEWS: Fix.

2003-06-18  Simon Josefsson <simon@josefsson.org>

	* example2.c: Revert to RFC, but use uint32_t and size_t.

2003-06-18  Simon Josefsson <simon@josefsson.org>

	* idna.h: Revert last change.

2003-06-18  Simon Josefsson <simon@josefsson.org>

	* idna.c: Fixes.

2003-06-18  Simon Josefsson <simon@josefsson.org>

	* idna.h: Remove old interfaces.

2003-06-18  Simon Josefsson <simon@josefsson.org>

	* example4.c, example3.c, idn.c: Use modern API.

2003-06-18  Simon Josefsson <simon@josefsson.org>

	* toutf8.c: Fix warnings.

2003-06-18  Simon Josefsson <simon@josefsson.org>

	* idna.c: Use uint32_t instead of unsigned long.  New functions
	idna_to_ascii_4i, idna_to_unicode_44i, idna_to_ascii_4z,
	idna_to_ascii_8z, idna_to_ascii_lz, idna_to_unicode_4z4z,
	idna_to_unicode_8z4z, idna_to_unicode_8z8z, idna_to_unicode_8zlz,
	idna_to_unicode_lzlz.

2003-06-18  Simon Josefsson <simon@josefsson.org>

	* tst_idna.c, tst_oidna.c: Fix.

2003-06-18  Simon Josefsson <simon@josefsson.org>

	* idna.h: Fix.

2003-06-18  Simon Josefsson <simon@josefsson.org>

	* idna.h: Include stddef.h and idn-int.h.  Add IDNA flags.  Add new
	IDNA entry points.

2003-06-18  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2003-06-18  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Bump version.

2003-06-18  Simon Josefsson <simon@josefsson.org>

	* stringprep.c: Change unsigned long to uint32_t.

2003-06-18  Simon Josefsson <simon@josefsson.org>

	* stringprep.h.in: Change unsigned long to uint32_t.  Fix enum
	definitions.

2003-06-18  Simon Josefsson <simon@josefsson.org>

	* internal.h: Remove inttypes/stdint, idn-int.h is used now.

2003-06-18  Simon Josefsson <simon@josefsson.org>

	* tst_oidna.c, tst_opunycode.c, tst_ostringprep.c: Add old API
	tests.

2003-06-18  Simon Josefsson <simon@josefsson.org>

	* doc/Makefile.am: Fix.

2003-06-18  Simon Josefsson <simon@josefsson.org>

	* fdl.texi, lgpl.texi, Makefile.am, configure.ac, libidn.texi,
	doc/Makefile.am, doc/fdl.texi, doc/lgpl.texi, doc/libidn.texi: Move
	manual to doc/.

2003-06-18  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Don't use gdoc.

2003-06-18  Simon Josefsson <simon@josefsson.org>

	* nfkc.c: Use uint32_t instead of unsigned long.

2003-06-18  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Get m4's from m4/.  Add tst_o*'s.  Regenerate
	ChangeLog only for releases.

2003-06-18  Simon Josefsson <simon@josefsson.org>

	* gen-unicode-tables.pl: Include internal.h for uint32_t and use
	it.

2003-06-18  Simon Josefsson <simon@josefsson.org>

	* punycode.c: Change unsigned long to uint32_t.  Use enum
	punycode_status return type.  Sync with RFC (after indent).

2003-06-18  Simon Josefsson <simon@josefsson.org>

	* punycode.h: Include stddef and idn-int.h.  Add RFC compatibility
	enum punycode_status elements.  Change return type to enum
	punycode_status.  Use uint32_t instead of unsigned long.

2003-06-18  Simon Josefsson <simon@josefsson.org>

	* Makefile.am, configure.ac, iconv.m4,
	m4/ac_compile_check_sizeof.m4, m4/ax_create_stdint_h.m4,
	m4/iconv.m4: New idn-int.h for portable fixed size integers.
	Create m4/ and move iconv.m4 to it.

2003-06-12  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Remove GNU make specific idiom.

2003-06-07  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 0.1.15.

2003-06-07  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2003-06-07  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Bump version.

2003-06-07  Simon Josefsson <simon@josefsson.org>

	* tst_stringprep.c, stringprep.c, tst_idna.c: Remove DRAFT stuff
	(moved to separate branch).

2003-06-07  Simon Josefsson <simon@josefsson.org>

	* THANKS: Add. Fix.

2003-06-07  Simon Josefsson <simon@josefsson.org>

	* idna.c: Handle non-zero terminated inputs.  Tiny patch suggested
	by Thiago Macieira.

2003-06-04  Simon Josefsson <simon@josefsson.org>

	* THANKS: Add.

2003-06-04  Simon Josefsson <simon@josefsson.org>

	* nfkc.c: Check array bounds, tiny patch from Joe Hildebrand.

2003-05-10  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 0.1.14.

2003-05-10  Simon Josefsson <simon@josefsson.org>

	* idna.el, punycode.el: Bind process-environment correctly.

2003-05-09  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Copy doxygen docs.

2003-05-09  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2003-05-09  Simon Josefsson <simon@josefsson.org>

	* punycode.el: Use process-environment instead of utility env.
	Default values of punycode-program, punycode-to-ascii-parameters,
	punycode-to-unicode-parameters changed, and punycode-environment
	added.  Use separate error strings.  Handle when idn is not
	installed.

2003-05-09  Simon Josefsson <simon@josefsson.org>

	* idna.el: Use process-environment instead of utility env.  Default
	values of idna-program, idna-to-ascii-parameters,
	idna-to-unicode-parameters changed, and idna-environment added.  Use
	separate error strings.

2003-05-09  Simon Josefsson <simon@josefsson.org>

	* libidn.texi: Update Emacs Lisp API.  Fix toc.

2003-05-09  Simon Josefsson <simon@josefsson.org>

	* THANKS: Add.

2003-05-07  Simon Josefsson <simon@josefsson.org>

	* idna.el: Handle when idn is not installed.

2003-04-23  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2003-04-23  Simon Josefsson <simon@josefsson.org>

	* NEWS: Fix NEWS entry of last release (API/ABI compatibility).

2003-04-16  Simon Josefsson <simon@josefsson.org>

	* ANNOUNCE: Mention devices it runs on.

2003-03-28  Simon Josefsson <simon@josefsson.org>

	* tst_stringprep.c: Fix bad UTF-8.  Self test for bad UTF-8.

2003-03-27  Simon Josefsson <simon@josefsson.org>

	* tst_idna.c, tst_stringprep.c: Fix -DDRAFT output.

2003-03-26  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Dist contrib/doxygen/.

2003-03-26  Simon Josefsson <simon@josefsson.org>

	* NEWS: Mention doxygen.

2003-03-26  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Build contrib/doxygen/Doxyfile.

2003-03-26  Simon Josefsson <simon@josefsson.org>

	* gdoc: Add -doxygen.

2003-03-26  Simon Josefsson <simon@josefsson.org>

	* internal.h: Add \mainpage for doxygen.

2003-03-23  Simon Josefsson <simon@josefsson.org>

	* FAQ: Fix.

2003-03-23  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Bump versions.

2003-03-23  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Ignore draft.*xml in ChangeLog.

2003-03-23  Simon Josefsson <simon@josefsson.org>

	* idn.c: Fix debug prints.

2003-03-22  Simon Josefsson <simon@josefsson.org>

	* stringprep.c, tst_stringprep.c: Fixes for -DDRAFT.

2003-03-22  Simon Josefsson <simon@josefsson.org>

	* tst_idna.c: Support -DDRAFT.

2003-03-13  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 0.1.13.

2003-03-13  Simon Josefsson <simon@josefsson.org>

	* libidn.texi: Sync ANNOUNCE.

2003-03-13  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Bump so version.

2003-03-13  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2003-03-13  Simon Josefsson <simon@josefsson.org>

	* ANNOUNCE: Add lingos.

2003-03-13  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Dist Java stuff.

2003-03-13  Simon Josefsson <simon@josefsson.org>

	* NEWS: Mention Java API.

2003-03-13  Simon Josefsson <simon@josefsson.org>

	* libidn.texi: Tested on more platforms.

2003-03-12  Simon Josefsson <simon@josefsson.org>

	* tst_stringprep.c: Fix mem leak.

2003-03-12  Simon Josefsson <simon@josefsson.org>

	* stringprep.c: Fix mem leak.

2003-03-12  Simon Josefsson <simon@josefsson.org>

	* tst_idna.c: Fix mem leak.

2003-03-12  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Ignore errors instead of using missing for
	gengetopt.

2003-03-12  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Ignore errors instead of using missing for
	gengetopt.  Bump version.

2003-03-12  Simon Josefsson <simon@josefsson.org>

	* libidn.texi: Add platform.

2003-03-12  Simon Josefsson <simon@josefsson.org>

	* ANNOUNCE: Spec update.

2003-03-10  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Cvs2cl ignore contrib.

2003-03-10  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Use cvs2cl's new --FSF.

2003-03-08  Simon Josefsson <simon@josefsson.org>

	* punycode.c, punycode.h, example2.c: Sync with RFC.

2003-03-08  Simon Josefsson <simon@josefsson.org>

	* rfc3490.txt, rfc3491.txt, rfc3492.txt: Replace drafts with RFCs.

2003-03-07  Simon Josefsson <simon@josefsson.org>

	* README-alpha: Mention more prereqs.

2003-03-07  Simon Josefsson <simon@josefsson.org>

	* idna.c: Remove gtk-doc trigger for obsolete functions.

2003-03-07  Simon Josefsson <simon@josefsson.org>

	* libidn.texi: Move appendix last.  Cleanup @copying.

2003-03-07  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Dist FAQ and contrib/web/idn.php.

2003-03-07  Simon Josefsson <simon@josefsson.org>

	* README: Add.  Move todo list to TODO.

2003-03-07  Simon Josefsson <simon@josefsson.org>

	* TODO: Add, taken from README.

2003-03-06  Simon Josefsson <simon@josefsson.org>

	* libidn.texi: ANNOUNCE sync.

2003-03-06  Simon Josefsson <simon@josefsson.org>

	* ANNOUNCE: Cleanup.

2003-03-06  Simon Josefsson <simon@josefsson.org>

	* FAQ: Update questions and answers.

2003-03-06  Simon Josefsson <simon@josefsson.org>

	* FAQ: Moved faq from file README.

2003-03-06  Simon Josefsson <simon@josefsson.org>

	* README: Move faq to file FAQ.  Add donation info.  Update todo's.

2003-03-06  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add forgotten 0.1.12 items.

2003-03-06  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 0.1.12.

2003-03-06  Simon Josefsson <simon@josefsson.org>

	* libidn.texi: Remove stringprep_*.h.  Document stringprep in idn.

2003-03-06  Simon Josefsson <simon@josefsson.org>

	* THANKS: Add.

2003-03-06  Simon Josefsson <simon@josefsson.org>

	* libc/README: Fix ace.

2003-03-06  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Ignore gengetopt errors.

2003-03-06  Simon Josefsson <simon@josefsson.org>

	* idn.c, idn.ggo.in: Add -s and -p for stringprep.

2003-03-06  Simon Josefsson <simon@josefsson.org>

	* NEWS: Mention stringprep API changes.

2003-03-06  Simon Josefsson <simon@josefsson.org>

	* profiles.c, stringprep.c, stringprep.h.in, tst_stringprep.c: Add
	stringprep_profile().

2003-03-06  Simon Josefsson <simon@josefsson.org>

	* NEWS, example.c, internal.h, profiles.c, stringprep.h.in,
	stringprep_generic.h, stringprep_iscsi.h, stringprep_kerberos5.h,
	stringprep_nameprep.h, stringprep_plain.h, stringprep_xmpp.h:
	Deprecate stringprep_*.h.

2003-03-04  Simon Josefsson <simon@josefsson.org>

	* README-alpha: Fixup.

2003-03-02  Simon Josefsson <simon@josefsson.org>

	* NEWS: Mention idn.php.

2003-03-01  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Check for gengetopt.

2003-03-01  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Use GENGETOPT.

2003-03-01  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add glibc 2.3.2.

2003-03-01  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Bump version.

2003-03-01  Simon Josefsson <simon@josefsson.org>

	* libc/README, libc/Versions, libc/getaddrinfo.c, libc/libc.patch:
	Update to libc 2.3.2.

2003-02-28  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2003-02-27  Simon Josefsson <simon@josefsson.org>

	* libidn.texi: Copying conditions.

2003-02-27  Simon Josefsson <simon@josefsson.org>

	* profiles.c: Add SASLprep.

2003-02-27  Simon Josefsson <simon@josefsson.org>

	* stringprep.h.in: Add SASL profile.

2003-02-27  Simon Josefsson <simon@josefsson.org>

	* tst_stringprep.c: Test SASL profile.

2003-02-27  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Don't byte compile elisp.  Cleanup EXTRA_DIST.

2003-02-27  Simon Josefsson <simon@josefsson.org>

	* idn.ggo.in: Add copyright.

2003-02-27  Simon Josefsson <simon@josefsson.org>

	* libidn.texi: Don't ack self.

2003-02-26  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Cleanup extra dist.

2003-02-26  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Make idn.c depend on idn_cmd.*.

2003-02-26  Simon Josefsson <simon@josefsson.org>

	* idna.el, punycode.el: Doc fix.

2003-02-26  Simon Josefsson <simon@josefsson.org>

	* libidn.texi: Reorder acks.  Add function and variable index.

2003-02-26  Simon Josefsson <simon@josefsson.org>

	* fdl.texi, lgpl.texi: Fix TOC.

2003-02-26  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 0.1.11.

2003-02-26  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Distcheck fixes.

2003-02-26  Simon Josefsson <simon@josefsson.org>

	* libidn.texi: Document Emacs API.

2003-02-26  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Bump versions.  Look for help2man.

2003-02-26  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Build idn.1 man page.

2003-02-26  Simon Josefsson <simon@josefsson.org>

	* libidn.texi: Document idn.

2003-02-26  Simon Josefsson <simon@josefsson.org>

	* idna.el: Mention todo.

2003-02-26  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Build idna.el.

2003-02-26  Simon Josefsson <simon@josefsson.org>

	* idna.el: Elisp interface for IDNA.

2003-02-26  Simon Josefsson <simon@josefsson.org>

	* punycode.el: Add keywords.

2003-02-26  Simon Josefsson <simon@josefsson.org>

	* punycode.el: Fix doc.

2003-02-26  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Add automake elisp check.

2003-02-26  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Add punycode.el.

2003-02-26  Simon Josefsson <simon@josefsson.org>

	* punycode.el: Elisp interface for punycode.

2003-02-26  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Fix gengetopt invocation.

2003-02-26  Simon Josefsson <simon@josefsson.org>

	* idn.c: Print help on usage error.  Minor cleanup.

2003-02-26  Simon Josefsson <simon@josefsson.org>

	* idn.ggo.in: Fix package/version name.

2003-02-26  Simon Josefsson <simon@josefsson.org>

	* idn.ggo.in: Shorten line <80ch.

2003-02-26  Simon Josefsson <simon@josefsson.org>

	* getopt.c, getopt.h, getopt1.c: Add.

2003-02-26  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Link with getopt if system doesn't have
	getopt_long().  Build idn.ggo.

2003-02-26  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Build idn.

2003-02-26  Simon Josefsson <simon@josefsson.org>

	* idn.ggo.in: Add command line option specification for idn.c.

2003-02-26  Simon Josefsson <simon@josefsson.org>

	* idn.c: Add command line interface to library.

2003-02-21  Simon Josefsson <simon@josefsson.org>

	* profiles.c: NFKC XMPP resourceprep.

2003-02-21  Simon Josefsson <simon@josefsson.org>

	* profiles.c: NFKC XMPP nodeprep.

2003-02-21  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 0.1.10.

2003-02-21  Simon Josefsson <simon@josefsson.org>

	* idna.c: Doc fix.

2003-02-21  Simon Josefsson <simon@josefsson.org>

	* NEWS, idna.c, idna.h: Deprecate idna_*_to_ace() and
	idna_*ace_to_*().  Add idna_to_ascii_from_*() and
	idna_to_unicode_*_from_*().

2003-02-21  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Make release project independent.

2003-02-21  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2003-02-21  Simon Josefsson <simon@josefsson.org>

	* ANNOUNCE, Makefile.am, README, internal.h, libidn.texi,
	profiles.c, stringprep_iscsi.h, tst_stringprep.c: Add iSCSI
	profile.

2003-02-21  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2003-02-21  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Bump versions.

2003-02-21  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2003-02-21  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Distribute contrib/*.

2003-02-21  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Install punycode.h.

2003-02-21  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Install idna.h, tiny patch from Stephane Bortzmeyer.

2003-02-20  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 0.1.9.

2003-02-20  Simon Josefsson <simon@josefsson.org>

	* libidn.texi: Fix last commit.

2003-02-20  Simon Josefsson <simon@josefsson.org>

	* libidn.texi: Mention stringprep_plain.h.

2003-02-20  Simon Josefsson <simon@josefsson.org>

	* profiles.c: Don't case fold XMPP resources.

2003-02-20  Simon Josefsson <simon@josefsson.org>

	* profiles.c: Really fix XMPP definition.

2003-02-20  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Add stringprep_plain.h.

2003-02-20  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Bump versions.

2003-02-20  Simon Josefsson <simon@josefsson.org>

	* libidn.texi: Sync ANNOUNCE.

2003-02-20  Simon Josefsson <simon@josefsson.org>

	* ANNOUNCE: Mention SASL "plain".

2003-02-20  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2003-02-20  Simon Josefsson <simon@josefsson.org>

	* tst_stringprep.c: Remove broken XMPP tests.  Add SASL test.

2003-02-20  Simon Josefsson <simon@josefsson.org>

	* internal.h: Include stringprep_plain.h.

2003-02-20  Simon Josefsson <simon@josefsson.org>

	* profiles.c: Add stringprep_plain for SASL ANONYMOUS plain
	profile.

2003-02-20  Simon Josefsson <simon@josefsson.org>

	* profiles.c: Fix XMPP definition.

2003-02-20  Simon Josefsson <simon@josefsson.org>

	* stringprep_plain.h: New file.

2003-02-19  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2003-02-19  Simon Josefsson <simon@josefsson.org>

	* THANKS: Add.

2003-02-19  Simon Josefsson <simon@josefsson.org>

	* profiles.c: Don't normalize or map ASCII space for XMPP nodeprep.
	Tiny patch from Travis Shirk <TShirk@jabber.com>.

2003-02-18  Simon Josefsson <simon@josefsson.org>

	* README: Add.

2003-02-15  Simon Josefsson <simon@josefsson.org>

	* idna.c: Make sure decoded punycode data is zero terminated.

2003-02-15  Simon Josefsson <simon@josefsson.org>

	* tst_idna.c: Fix memory leak.

2003-02-15  Simon Josefsson <simon@josefsson.org>

	* idna.c: Fix memory leaks.  Waste less memory.

2003-02-15  Simon Josefsson <simon@josefsson.org>

	* idna.c: Fix memory leak.

2003-02-14  Simon Josefsson <simon@josefsson.org>

	* tst_stringprep.c: Fix.

2003-02-14  Simon Josefsson <simon@josefsson.org>

	* nfkc.c: Fix typo.

2003-02-14  Simon Josefsson <simon@josefsson.org>

	* stringprep.c: Fix maplen calculation.

2003-02-14  Simon Josefsson <simon@josefsson.org>

	* stringprep.c: Fix gcc warnings.

2003-02-14  Simon Josefsson <simon@josefsson.org>

	* stringprep.c, stringprep.h.in: Change STRINGPREP_MAX_MAP_CHARS to
	4 to waste less space.

2003-02-14  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 0.1.8.

2003-02-14  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: GTK-DOC fix.

2003-02-14  Simon Josefsson <simon@josefsson.org>

	* libidn.texi: Update port status.

2003-02-14  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Use = instead of == as test operator.

2003-02-13  Simon Josefsson <simon@josefsson.org>

	* example2.c, stringprep.c: Use size_t for string lengths.

2003-02-13  Simon Josefsson <simon@josefsson.org>

	* example2.c: Revert missing-noreturn fix.

2003-02-13  Simon Josefsson <simon@josefsson.org>

	* idna.c: Use size_t for string lengths.

2003-02-13  Simon Josefsson <simon@josefsson.org>

	* configure.ac, Makefile.am: Condition GTK-DOC and disable by
	default.

2003-02-13  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Cleanup gtk-doc build.

2003-02-13  Simon Josefsson <simon@josefsson.org>

	* profiles.c: Zero terminate XMPP array.

2003-02-13  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Bump version (both shared library and package).

2003-02-13  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2003-02-13  Simon Josefsson <simon@josefsson.org>

	* example.c, example2.c, gen-unicode-tables.pl, idna.c, internal.h,
	nfkc.c, punycode.c, stringprep.c, stringprep.h.in, toutf8.c,
	tst_idna.c, tst_nfkc.c, tst_punycode.c, tst_stringprep.c: Fix
	CFLAGS warnings.

2003-02-13  Simon Josefsson <simon@josefsson.org>

	* example3.c, example4.c: Fix CFLAGS warnings.  Use official IDNA
	ACE prefix.

2003-02-12  Simon Josefsson <simon@josefsson.org>

	* tst_stringprep.c: Cleanups for including as appendix in draft.

2003-02-12  Simon Josefsson <simon@josefsson.org>

	* profiles.c: Don't optimize prohibited output tables (better trace
	logs).

2003-02-12  Simon Josefsson <simon@josefsson.org>

	* tst_stringprep.c: More self tests.  More debug info.

2003-02-12  Simon Josefsson <simon@josefsson.org>

	* stringprep.c: More debug output.

2003-02-12  Simon Josefsson <simon@josefsson.org>

	* idna-ace-prefix.txt: Official results.

2003-02-12  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Improve release target.

2003-02-12  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Add release target.

2003-02-12  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac: Version 0.1.7.

2003-02-12  Simon Josefsson <simon@josefsson.org>

	* tst_idna.c: Fix IDNA ACE prefix.

2003-02-12  Simon Josefsson <simon@josefsson.org>

	* idna.h: Use official IDNA prefix.

2003-02-11  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Add upload target.

2003-02-11  Simon Josefsson <simon@josefsson.org>

	* tst_idna.c: Use new IDNA ACE prefix.

2003-02-11  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac: Version 0.1.6.

2003-02-11  Simon Josefsson <simon@josefsson.org>

	* idna-ace-prefix.txt: Add my computation.

2003-02-11  Simon Josefsson <simon@josefsson.org>

	* idna.h: Chose IDNA prefix based on my computation.

2003-02-09  Simon Josefsson <simon@josefsson.org>

	* internal.h: Fix header.

2003-02-09  Simon Josefsson <simon@josefsson.org>

	* stringprep.h.in: Fix.

2003-02-09  Simon Josefsson <simon@josefsson.org>

	* profiles.c: Indent.

2003-02-09  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Fix cvs2cl.

2003-02-07  Simon Josefsson <simon@josefsson.org>

	* README: Fix.

2003-02-07  Simon Josefsson <simon@josefsson.org>

	* README-alpha: Add build instructions.

2003-02-07  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2003-02-07  Simon Josefsson <simon@josefsson.org>

	* libidn.texi: Add XMPP.

2003-02-07  Simon Josefsson <simon@josefsson.org>

	* profiles.c: Use table C.8 for bidi prohibited instead of C.9.

2003-02-07  Simon Josefsson <simon@josefsson.org>

	* Makefile.am, internal.h, profiles.c, stringprep_xmpp.h,
	tst_stringprep.c: Support XMPP.

2003-02-07  Simon Josefsson <simon@josefsson.org>

	* ANNOUNCE: Fix.

2003-02-07  Simon Josefsson <simon@josefsson.org>

	* stringprep_kerberos5.h, stringprep_nameprep.h,
	stringprep_generic.h: Name fix.

2003-02-05  Simon Josefsson <simon@josefsson.org>

	* libc/README: Fix.

2003-01-31  Simon Josefsson <simon@josefsson.org>

	* tst_punycode.c, tst_idna.c: Indent.

2003-01-31  Simon Josefsson <simon@josefsson.org>

	* tst_punycode.c: Indent.

2003-01-31  Simon Josefsson <simon@josefsson.org>

	* example3.c, example4.c, idna.c, stringprep.c, toutf8.c,
	tst_idna.c, tst_punycode.c: Indent.

2003-01-30  Simon Josefsson <simon@josefsson.org>

	* ANNOUNCE: Fix.

2003-01-30  Simon Josefsson <simon@josefsson.org>

	* libidn.texi: Typo.

2003-01-29  Simon Josefsson <simon@josefsson.org>

	* ANNOUNCE: Mention libc.

2003-01-28  Simon Josefsson <simon@josefsson.org>

	* libc/README: Typo.

2003-01-28  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Release 0.1.5.

2003-01-28  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Dist libc/*.

2003-01-28  Simon Josefsson <simon@josefsson.org>

	* libc/README: Fix.

2003-01-28  Simon Josefsson <simon@josefsson.org>

	* libc/README: Add.

2003-01-28  Simon Josefsson <simon@josefsson.org>

	* NEWS, libc/Makefile, libc/README, libc/Versions, libc/configure,
	libc/example.c, libc/getaddrinfo.c, libc/libc.patch, libc/netdb.h:
	Libidn as libc add-on.

2003-01-28  Simon Josefsson <simon@josefsson.org>

	* idna.c, idna.h: Return new error code IDNA_ICONV_ERROR instead of
	crashing when character set conversion fails.

2003-01-28  Simon Josefsson <simon@josefsson.org>

	* toutf8.c: Fix prototype.  Move unused parameter unless
	LOCALE_WORKS.

2003-01-28  Simon Josefsson <simon@josefsson.org>

	* internal.h: Work from within GNU Libc.

2003-01-27  Simon Josefsson <simon@josefsson.org>

	* THANKS: Add ack.

2003-01-27  Simon Josefsson <simon@josefsson.org>

	* libidn.texi: Point to THANKS for more acks.

2003-01-27  Simon Josefsson <simon@josefsson.org>

	* idna.c: Fix possible memory corruption.  Noncopyrightable patch
	from Waldo Bastian <bastian@kde.org>.

2003-01-20  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Change bug email address.

2003-01-18  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Generate ChangeLog with --no-times.

2003-01-15  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac: Release 0.1.4.

2003-01-15  Simon Josefsson <simon@josefsson.org>

	* toutf8.c: Fix functions on bad platforms.

2003-01-15  Simon Josefsson <simon@josefsson.org>

	* stringprep.c: Add comment.

2003-01-15  Simon Josefsson <simon@josefsson.org>

	* tst_idna.c: Test step 5 in ToASCII.

2003-01-15  Simon Josefsson <simon@josefsson.org>

	* idna.c, idna.h: Fix ToASCII().

2003-01-15  Simon Josefsson <simon@josefsson.org>

	* libidn.texi: Fix copyright.

2003-01-15  Simon Josefsson <simon@josefsson.org>

	* libidn.texi: Fix dir entry.

2003-01-15  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Use automake's ps and pdf texinfo targets.  Remove
	txt texinfo target.

2003-01-15  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: EXTRA_DIST lgplg.texi.  Disable GTK-DOC for
	distcheck builds (doesn't work).

2003-01-15  Simon Josefsson <simon@josefsson.org>

	* lgpl.texi, libidn.texi: Add acknowledgements, lgpl.

2003-01-15  Simon Josefsson <simon@josefsson.org>

	* Makefile.am, configure.ac, example.c, example2.c, idna.c, idna.h,
	libidn.texi, nfkc.c, profiles.c, punycode.c, punycode.h,
	stringprep.c, stringprep.h.in, toutf8.c, tst_idna.c, tst_nfkc.c,
	tst_punycode.c, tst_stringprep.c, version.c: Comment cleanup.

2003-01-15  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Improve texinfo manual.

2003-01-15  Simon Josefsson <simon@josefsson.org>

	* stringprep.c: Add doc.

2003-01-15  Simon Josefsson <simon@josefsson.org>

	* libidn.texi: Add.

2003-01-15  Simon Josefsson <simon@josefsson.org>

	* README: Remove API documentation.

2003-01-15  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac: Release 0.1.3.

2003-01-15  Simon Josefsson <simon@josefsson.org>

	* Makefile.am, fdl.texi, gdoc, libidn.texi: Add texinfo manual.

2003-01-15  Simon Josefsson <simon@josefsson.org>

	* example2.c: Fix for texinfiscation.

2003-01-15  Simon Josefsson <simon@josefsson.org>

	* nfkc.c: Doc fixes.

2003-01-08  Simon Josefsson <simon@josefsson.org>

	* README-alpha: Add.

2003-01-08  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac: Release 0.1.2.

2003-01-08  Simon Josefsson <simon@josefsson.org>

	* example4.c: Fix.

2003-01-08  Simon Josefsson <simon@josefsson.org>

	* Makefile.am, example3.c, example4.c, idna.c, idna.h,
	stringprep.h.in, toutf8.c: IDNA high-level API.

2003-01-08  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac: Release 0.1.1.

2003-01-08  Simon Josefsson <simon@josefsson.org>

	* version.c, toutf8.c: Doc fix.

2003-01-08  Simon Josefsson <simon@josefsson.org>

	* idna.c: Doc fix.

2003-01-08  Simon Josefsson <simon@josefsson.org>

	* stringprep.c: Doc fix.

2003-01-08  Simon Josefsson <simon@josefsson.org>

	* nfkc.c, stringprep.c, version.c: Add GTK-DOC documentation.

2003-01-08  Simon Josefsson <simon@josefsson.org>

	* stringprep.h.in: GTK-DOC fixes.

2003-01-08  Simon Josefsson <simon@josefsson.org>

	* toutf8.c: Add GTK-DOC documentation.

2003-01-08  Simon Josefsson <simon@josefsson.org>

	* punycode.c: Add GTK-DOC documentation.

2003-01-08  Simon Josefsson <simon@josefsson.org>

	* Makefile.am, configure.ac: Add API Reference Manual.

2003-01-05  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Release 0.1.0.

2003-01-05  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Fix ChangeLog in distcheck.

2003-01-05  Simon Josefsson <simon@josefsson.org>

	* README-alpha, README: Fix.

2003-01-05  Simon Josefsson <simon@josefsson.org>

	* idna.h, Makefile.am: Add.

2003-01-05  Simon Josefsson <simon@josefsson.org>

	* tst_idna.c: Check idna_to_unicode().

2003-01-05  Simon Josefsson <simon@josefsson.org>

	* idna.c: Fix.

2003-01-05  Simon Josefsson <simon@josefsson.org>

	* tst_punycode.c: Check decoding.

2003-01-05  Simon Josefsson <simon@josefsson.org>

	* README-alpha: Add.

2003-01-04  Simon Josefsson <simon@josefsson.org>

	* ANNOUNCE: Fix.

2003-01-03  Simon Josefsson <simon@josefsson.org>

	* README-alpha: Rename.

2003-01-03  Simon Josefsson <simon@josefsson.org>

	* NEWS: Fix.

2003-01-03  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Build IDNA.

2003-01-03  Simon Josefsson <simon@josefsson.org>

	* AUTHORS: Rename.

2003-01-03  Simon Josefsson <simon@josefsson.org>

	* ANNOUNCE: Fix.

2003-01-03  Simon Josefsson <simon@josefsson.org>

	* README, idna.c, idna.h, internal.h, tst_idna.c: Add unfinished
	old IDNA stuff.

2003-01-03  Simon Josefsson <simon@josefsson.org>

	* libidn.pc.in: Rename and fix.

2003-01-03  Simon Josefsson <simon@josefsson.org>

	* THANKS: Add.

2003-01-03  Simon Josefsson <simon@josefsson.org>

	* THANKS, README: Rename.

2003-01-03  Simon Josefsson <simon@josefsson.org>

	* Makefile.am, configure.ac: Rename.

2003-01-03  Simon Josefsson <simon@josefsson.org>

	* libidn.pc.in, libstringprep.pc.in: Rename libstringprep.pc.in to
	libidn.pc.in.

2003-01-02  Simon Josefsson <simon@josefsson.org>

	* Makefile.am, gen-stringprep-tables.pl, rfc3454.txt: Use
	rfc3454.txt instead of draft-hoffman-stringprep-07.txt.

2002-12-27  Simon Josefsson <simon@josefsson.org>

	* ANNOUNCE: Fix.

2002-12-26  Simon Josefsson <simon@josefsson.org>

	* ANNOUNCE: Cleanup.

2002-12-26  Simon Josefsson <simon@josefsson.org>

	* ANNOUNCE: Initiate name change for savannah project registration.

2002-12-26  Simon Josefsson <simon@josefsson.org>

	* tst_punycode.c: Fixes.

2002-12-26  Simon Josefsson <simon@josefsson.org>

	* tst_stringprep.c: Fix.

2002-12-26  Simon Josefsson <simon@josefsson.org>

	* README-alpha: Add.

2002-12-26  Simon Josefsson <simon@josefsson.org>

	* ANNOUNCE: Fix.

2002-12-19  Simon Josefsson <simon@josefsson.org>

	* Makefile.am, NEWS, configure.ac, example.c, example2.c,
	internal.h, nfkc.c, punycode.c, punycode.h, stringprep.c,
	stringprep.h.in, tst_punycode.c: Add punycode.  Use "unsigned long"
	for Unicode code points.  Copying condition fixes.  Fixes.

2002-12-14  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Make sure ChangeLog is regenerated.

2002-12-13  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac: Release 0.0.8.

2002-12-13  Simon Josefsson <simon@josefsson.org>

	* AUTHORS, Makefile.am, NEWS, README, THANKS, configure.ac,
	internal.h, libstringprep.pc.in, strdup.c, stringprep.c,
	stringprep_generic.h, stringprep_kerberos5.h,
	stringprep_nameprep.h, toutf8.c, tst_nfkc.c, tst_stringprep.c:
	Portability fixes.

2002-12-13  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Link with libiconv.

2002-12-10  Simon Josefsson <simon@josefsson.org>

	* stringprep.c: Don't use uint32_t in one odd place.

2002-12-10  Simon Josefsson <simon@josefsson.org>

	* stringprep.c: Flawfinder.

2002-12-10  Simon Josefsson <simon@josefsson.org>

	* toutf8.c: Fix.

2002-12-10  Simon Josefsson <simon@josefsson.org>

	* stringprep.h.in: Remove comma on last enum entry.

2002-12-09  Simon Josefsson <simon@josefsson.org>

	* tst_nfkc.c: Fix memory leak.

2002-12-09  Simon Josefsson <simon@josefsson.org>

	* configure.ac, internal.h, stringprep.c: Use dmalloc.  Fix memory
	leak when bidi fails.

2002-12-09  Simon Josefsson <simon@josefsson.org>

	* tst_stringprep.c: Check version.

2002-12-09  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac: Release 0.0.7 (version 0.0.6 was abandoned).

2002-12-09  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Release 0.0.6.

2002-12-09  Simon Josefsson <simon@josefsson.org>

	* tst_stringprep.c: Check all upper string case mapping.

2002-12-09  Simon Josefsson <simon@josefsson.org>

	* stringprep.c: Apply table until it can't be applied any longer.

2002-12-07  Simon Josefsson <simon@josefsson.org>

	* tst_stringprep.c: Add nameprep vector.

2002-12-07  Simon Josefsson <simon@josefsson.org>

	* example.c: Cosmetic fix.

2002-12-07  Simon Josefsson <simon@josefsson.org>

	* stringprep.c: Fix printf() format warnings.  Fix bidi table for
	loop (affected only nameprep).

2002-12-07  Simon Josefsson <simon@josefsson.org>

	* NEWS: Release 0.0.5.

2002-12-07  Simon Josefsson <simon@josefsson.org>

	* Makefile.am, configure.ac: Add memset.c, an AC_LIBOBJ.

2002-12-07  Simon Josefsson <simon@josefsson.org>

	* memset.c: An AC_LIBOBJ, from gnulib.

2002-12-07  Simon Josefsson <simon@josefsson.org>

	* profiles.c, stringprep.c, stringprep.h.in: Indent.

2002-12-07  Simon Josefsson <simon@josefsson.org>

	* README: Use new types.

2002-12-07  Simon Josefsson <simon@josefsson.org>

	* profiles.c, stringprep.c, stringprep.h.in, tst_stringprep.c:
	Fixes.

2002-12-07  Simon Josefsson <simon@josefsson.org>

	* profiles.c, stringprep.c, tst_stringprep.c: Fix bidi code and add
	self tests.

2002-12-07  Simon Josefsson <simon@josefsson.org>

	* gen-stringprep-tables.pl, profiles.c, stringprep.c,
	stringprep.h.in, stringprep_generic.h, stringprep_kerberos5.h,
	stringprep_nameprep.h, tst_stringprep.c: Clean up internal
	profiling definitions.

2002-12-06  Simon Josefsson <simon@josefsson.org>

	* example.c: Fix typo.

2002-12-06  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Release 0.0.4.

2002-12-06  Simon Josefsson <simon@josefsson.org>

	* NEWS, README, profiles.c, stringprep.c, stringprep.h.in,
	stringprep_nameprep.h, tst_stringprep.c: Add unassigned code point
	handling, and self test.

2002-12-06  Simon Josefsson <simon@josefsson.org>

	* tst_stringprep.c: Don't modify constant string during debug.

2002-12-05  Simon Josefsson <simon@josefsson.org>

	* stringprep.c: Don't use *_fast().

2002-12-05  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Don't use $< (GNU specific).

2002-12-03  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Portability fixes.

2002-12-03  Simon Josefsson <simon@josefsson.org>

	* internal.h, nfkc.c, stringprep.c, toutf8.c, tst_nfkc.c,
	tst_stringprep.c, version.c: Simplify the #include-mess. (NULL
	wasn't found on alpha-unknown-netbsd1.6)

2002-11-30  Simon Josefsson <simon@josefsson.org>

	* config.rpath: [no log message]

2002-11-30  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac: Release 0.0.3.

2002-11-30  Simon Josefsson <simon@josefsson.org>

	* Makefile.am, configure.ac, strdup.c: Add replacement strdup.c for
	system's without it.  Increment shared library version.  Trim
	autoconf tests.

2002-11-30  Simon Josefsson <simon@josefsson.org>

	* README: Added copying conditions.  Added more API documentation.

2002-11-30  Simon Josefsson <simon@josefsson.org>

	* THANKS: Add copying conditions.

2002-11-30  Simon Josefsson <simon@josefsson.org>

	* AUTHORS: Add copying conditions and public key.

2002-11-30  Simon Josefsson <simon@josefsson.org>

	* Makefile.am, example.c, nfkc.c, stringprep.h.in,
	tst_stringprep.c: Export stringprep_utf8_to_unichar.

	Rename stringprep_utf8_to_ucs4_fast to stringprep_utf8_to_ucs4 to
	clean up API (old entry maintained for binary backwards
	compatibility though).

	Indent.

	Add sign make target.

2002-11-29  Simon Josefsson <simon@josefsson.org>

	* nfkc.c, profiles.c, toutf8.c: indent

2002-11-29  Simon Josefsson <simon@josefsson.org>

	* stringprep.c: improve debugging output

2002-11-14  Simon Josefsson <simon@josefsson.org>

	* configure.ac: AC_PROG_RANLIB obsoleted by libtool.

2002-11-07  Simon Josefsson <simon@josefsson.org>

	* example.c: improve comment

2002-11-07  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: add dependency

2002-11-07  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac: Release 0.0.2.

2002-11-07  Simon Josefsson <simon@josefsson.org>

	* toutf8.c: Remove unused variable.

2002-11-07  Simon Josefsson <simon@josefsson.org>

	* stringprep.c: Fix memory leak.

2002-11-07  Simon Josefsson <simon@josefsson.org>

	* Makefile.am, tst_nfkc.c, tst_stringprep.c: Add NFKC self test.

2002-11-06  Simon Josefsson <simon@josefsson.org>

	* stringprep.h.in, toutf8.c: Cosmetic fixes.

2002-11-06  Simon Josefsson <simon@josefsson.org>

	* ANNOUNCE: Add.

2002-11-06  Simon Josefsson <simon@josefsson.org>

	* README: Explain why GLIB is not used.

2002-11-06  Simon Josefsson <simon@josefsson.org>

	* Makefile.am, README: Build fixes.

2002-11-06  Simon Josefsson <simon@josefsson.org>

	* Makefile.am, NEWS, README, THANKS, configure.ac, example.c,
	iconv.m4, libstringprep.pc.in, profiles.c, stringprep.h.in,
	stringprep_generic.h, stringprep_kerberos5.h,
	stringprep_nameprep.h, toutf8.c: Add example.  Add toutf8.c.  Check
	if OS has locale functions.  Add -R to pkg-config info file.  Moved
	profile variables to profile.c from header files.

2002-11-05  Simon Josefsson <simon@josefsson.org>

	* AUTHORS, COPYING.LIB, CaseFolding-3.2.0.txt,
	CompositionExclusions-3.2.0.txt, LineBreak-3.2.0.txt, Makefile.am,
	NEWS, README, SpecialCasing-3.2.0.txt, THANKS,
	UnicodeData-3.2.0.txt, configure.ac, gen-stringprep-tables.pl,
	gen-unicode-tables.pl, libstringprep.pc.in, nfkc.c, stringprep.c,
	stringprep.h.in, stringprep_generic.h, stringprep_kerberos5.h,
	stringprep_nameprep.h, tst_stringprep.c, version.c: Initial
	version.

	----------------------------------------------------------------------
	Copyright 2002, 2003, 2004  Simon Josefsson
	Copying and distribution of this file, with or without modification,
	are permitted in any medium without royalty provided the copyright
	notice and this notice are preserved.
